<?php
App::uses('AppModel', 'Model');
/**
 * Mensaje Model
 *
 * @property Tipo $Tipo
 * @property Categoria $Categoria
 * @property Zona $Zona
 * @property Ciudad $Ciudad
 */
class Mensaje extends AppModel {

/**
 * Validation rules
 *
 * @var array
 */
	public $validate = array(
		'titulo' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'tipo_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'categoria_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'zona_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'ciudad_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		'mensaje' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
		
		'nombre' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
			
	);

	//The Associations below have been created with all possible keys, those that are not needed can be removed

/**
 * belongsTo associations
 *
 * @var array
 */
	public $belongsTo = array(
		'Tipo' => array(
			'className' => 'Tipo',
			'foreignKey' => 'tipo_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		),
		'Categoria' => array(
			'className' => 'Categoria',
			'foreignKey' => 'categoria_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		),
		'Zona' => array(
			'className' => 'Zona',
			'foreignKey' => 'zona_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		),
		'Ciudad' => array(
			'className' => 'Ciudad',
			'foreignKey' => 'ciudad_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		)
	);
	
	function busqueda($controller, $cadena){
        $conditions = '';
        /*if ($fechaIni != '' && $fechaEnd != ''){
            $conditions = "Correspondencia.fecha BETWEEN '$fechaIni' AND '$fechaEnd'";
            if($cadena != ''){
                $conditions .= " AND (Correspondencia.id LIKE '%$cadena%' OR Correspondencia.cite LIKE '%$cadena%' OR
                                 Correspondencia.referencia LIKE '%$cadena%' OR
                                 Correspondencia.origen LIKE '%$cadena%' OR
                                 Correspondencia.destino1 LIKE '%$cadena%')";
            }
        } else{*/
            $conditions .= "Mensaje.nombre LIKE '%$cadena%' OR 
							Mensaje.titulo LIKE '%$cadena%' OR
                            Mensaje.telefono LIKE '%$cadena%' OR
                            Mensaje.celular LIKE '%$cadena%' OR
							Mensaje.mensaje LIKE '%$cadena%' OR
                            Mensaje.email LIKE '%$cadena%' OR
					        Mensaje.precio_pagar LIKE '%$cadena%' 
							";
        //}


        $this->recursive = -1;
        return $controller->paginate('Mensaje', $conditions);
    }
	 function buscar($controller,$tipo,$categoria,$ciudad,$zona){
	 	//metodo que busca datos en "Busqueda rapida"
    	$conditions='';
		if($tipo<>1 and $categoria<>1 and $zona<>1){		
          $conditions = "(Mensaje.tipo_id='$tipo' and
                          Mensaje.categoria_id='$categoria' and
                          Mensaje.ciudad_id='$ciudad' and
                          Mensaje.zona_id='$zona')";
        }elseif($tipo==1 and $categoria<>1 and $zona<>1)
		{$conditions = "(
                          Mensaje.categoria_id='$categoria' and
                          Mensaje.ciudad_id='$ciudad' and
                          Mensaje.zona_id='$zona')";
			
		}elseif($tipo<>1 and $categoria==1 and $zona<>1){
			$conditions = "(Mensaje.tipo_id='$tipo' and                          
                          Mensaje.ciudad_id='$ciudad' and
                          Mensaje.zona_id='$zona')";
		}elseif($tipo<>1 and $categoria<>1 and $zona==1){
			$conditions = "(Mensaje.tipo_id='$tipo' and
                          Mensaje.categoria_id='$categoria' and
                          Mensaje.ciudad_id='$ciudad')";
		}elseif($tipo==1 and $categoria==1 and $zona<>1){
			$conditions = "(                          
                          Mensaje.ciudad_id='$ciudad' and
                          Mensaje.zona_id='$zona')";
		}elseif($tipo<>1 and $categoria==1 and $zona==1){
			$conditions = "(Mensaje.tipo_id='$tipo' and                          
                          Mensaje.ciudad_id='$ciudad')";
		}elseif($tipo==1 and $categoria<>1 and $zona==1)
		{ $conditions = "(
                          Mensaje.categoria_id='$categoria' and
                          Mensaje.ciudad_id='$ciudad' 
                          )";			
		}elseif($tipo==1 and $categoria==1 and $zona==1){		
          $conditions = "(Mensaje.ciudad_id='$ciudad')";
        }
		
		
  	/*        $conditions .= "AND (Anuncio.id LIKE '%$ciudad%' OR 
			                  Anuncio.ciudad_id LIKE '%$ciudad%' OR
                              Anuncio.tipo_id LIKE '%$ciudad%' OR
                              Anuncio.marca_id LIKE '%$ciudad%' OR
                              Anuncio.modelo_id LIKE '%$ciudad%')";
    */       			
        $this->recursive = -1;
        return $controller->paginate('Mensaje', $conditions);
     }
	 
	 function validateCaptcha($check) { 
        if (!defined('CAPTCHA_SESSION_ID')) { 
            define('CAPTCHA_SESSION_ID', 'php_captcha'); 
        } 
		
		
        if (!empty ($_SESSION[CAPTCHA_SESSION_ID]) && $check['codigo'] == $_SESSION[CAPTCHA_SESSION_ID]) { 
            unset ($_SESSION[CAPTCHA_SESSION_ID]); 
            return true; 
        } 
        return false; 
    } 
}
