<div class="fotos index">
	<h2><?php echo __('Fotos'); ?></h2>
	<table cellpadding="0" cellspacing="0">
	<thead>
	<tr>
			<th><?php echo $this->Paginator->sort('id'); ?></th>
			<th><?php echo $this->Paginator->sort('titulo'); ?></th>
			<th><?php echo $this->Paginator->sort('nombre'); ?></th>
			<th><?php echo $this->Paginator->sort('descripcion'); ?></th>
			<th><?php echo $this->Paginator->sort('nombre_imagen'); ?></th>
			<th><?php echo $this->Paginator->sort('tipo_imagen'); ?></th>
			<th><?php echo $this->Paginator->sort('tamano_imagen'); ?></th>
			<th><?php echo $this->Paginator->sort('anuncio_id'); ?></th>
			<th><?php echo $this->Paginator->sort('tipo'); ?></th>
			<th><?php echo $this->Paginator->sort('created'); ?></th>
			<th><?php echo $this->Paginator->sort('modified'); ?></th>
			<th class="actions"><?php echo __('Actions'); ?></th>
	</tr>
	</thead>
	<tbody>
	<?php foreach ($fotos as $foto): ?>
	<tr>
		<td><?php echo h($foto['Foto']['id']); ?>&nbsp;</td>
		<td><?php echo h($foto['Foto']['titulo']); ?>&nbsp;</td>
		<td><?php echo h($foto['Foto']['nombre']); ?>&nbsp;</td>
		<td><?php echo h($foto['Foto']['descripcion']); ?>&nbsp;</td>
		<td><?php echo h($foto['Foto']['nombre_imagen']); ?>&nbsp;</td>
		<td><?php echo h($foto['Foto']['tipo_imagen']); ?>&nbsp;</td>
		<td><?php echo h($foto['Foto']['tamano_imagen']); ?>&nbsp;</td>
		<td>
			<?php echo $this->Html->link($foto['Anuncio']['id'], array('controller' => 'anuncios', 'action' => 'view', $foto['Anuncio']['id'])); ?>
		</td>
		<td><?php echo h($foto['Foto']['tipo']); ?>&nbsp;</td>
		<td><?php echo h($foto['Foto']['created']); ?>&nbsp;</td>
		<td><?php echo h($foto['Foto']['modified']); ?>&nbsp;</td>
		<td class="actions">
			<?php echo $this->Html->link(__('View'), array('action' => 'view', $foto['Foto']['id'])); ?>
			<?php echo $this->Html->link(__('Edit'), array('action' => 'edit', $foto['Foto']['id'])); ?>
			<?php echo $this->Form->postLink(__('Delete'), array('action' => 'delete', $foto['Foto']['id']), array('confirm' => __('Are you sure you want to delete # %s?', $foto['Foto']['id']))); ?>
		</td>
	</tr>
<?php endforeach; ?>
	</tbody>
	</table>
	<p>
	<?php
	echo $this->Paginator->counter(array(
		'format' => __('Page {:page} of {:pages}, showing {:current} records out of {:count} total, starting on record {:start}, ending on {:end}')
	));
	?>	</p>
	<div class="paging">
	<?php
		echo $this->Paginator->prev('< ' . __('anterior'), array(), null, array('class' => 'prev disabled'));
		echo $this->Paginator->numbers(array('separator' => ''));
		echo $this->Paginator->next(__('siguiente') . ' >', array(), null, array('class' => 'next disabled'));
	?>
	</div>
</div>
<div class="actions">
	<h3><?php echo __('Actions'); ?></h3>
	<ul>
		<li><?php echo $this->Html->link(__('New Foto'), array('action' => 'add')); ?></li>
		<li><?php echo $this->Html->link(__('List Anuncios'), array('controller' => 'anuncios', 'action' => 'index')); ?> </li>
		<li><?php echo $this->Html->link(__('New Anuncio'), array('controller' => 'anuncios', 'action' => 'add')); ?> </li>
	</ul>
</div>
