<div class="users view">
<h2><?php echo __('User'); ?></h2>
	<dl>
		<dt><?php echo __('Id'); ?></dt>
		<dd>
			<?php echo h($user['User']['id']); ?>
			&nbsp;
		</dd>
		<dt><?php echo __('Nombre'); ?></dt>
		<dd>
			<?php echo h($user['User']['nombre']); ?>
			&nbsp;
		</dd>
		<dt><?php echo __('Apellido'); ?></dt>
		<dd>
			<?php echo h($user['User']['apellido']); ?>
			&nbsp;
		</dd>
		<dt><?php echo __('Celular'); ?></dt>
		<dd>
			<?php echo h($user['User']['celular']); ?>
			&nbsp;
		</dd>
		<dt><?php echo __('Username'); ?></dt>
		<dd>
			<?php echo h($user['User']['username']); ?>
			&nbsp;
		</dd>
		<dt><?php echo __('Password'); ?></dt>
		<dd>
			<?php echo h($user['User']['password']); ?>
			&nbsp;
		</dd>
		<dt><?php echo __('Email'); ?></dt>
		<dd>
			<?php echo h($user['User']['email']); ?>
			&nbsp;
		</dd>
		<dt><?php echo __('Recordatorio'); ?></dt>
		<dd>
			<?php echo h($user['User']['recordatorio']); ?>
			&nbsp;
		</dd>
		<dt><?php echo __('Rol'); ?></dt>
		<dd>
			<?php echo h($user['User']['rol']); ?>
			&nbsp;
		</dd>
		<dt><?php echo __('Confirmed'); ?></dt>
		<dd>
			<?php echo h($user['User']['confirmed']); ?>
			&nbsp;
		</dd>
		<dt><?php echo __('Confirm Code'); ?></dt>
		<dd>
			<?php echo h($user['User']['confirm_code']); ?>
			&nbsp;
		</dd>
		<dt><?php echo __('Created'); ?></dt>
		<dd>
			<?php echo h($user['User']['created']); ?>
			&nbsp;
		</dd>
		<dt><?php echo __('Modified'); ?></dt>
		<dd>
			<?php echo h($user['User']['modified']); ?>
			&nbsp;
		</dd>
	</dl>
</div>
<div class="actions">
	<h3><?php echo __('Actions'); ?></h3>
	<ul>
		<li><?php echo $this->Html->link(__('Edit User'), array('action' => 'edit', $user['User']['id'])); ?> </li>
		<li><?php echo $this->Form->postLink(__('Delete User'), array('action' => 'delete', $user['User']['id']), array('confirm' => __('Are you sure you want to delete # %s?', $user['User']['id']))); ?> </li>
		<li><?php echo $this->Html->link(__('List Users'), array('action' => 'index')); ?> </li>
		<li><?php echo $this->Html->link(__('New User'), array('action' => 'add')); ?> </li>
		<li><?php echo $this->Html->link(__('List Anuncios'), array('controller' => 'anuncios', 'action' => 'index')); ?> </li>
		<li><?php echo $this->Html->link(__('New Anuncio'), array('controller' => 'anuncios', 'action' => 'add')); ?> </li>
	</ul>
</div>
<div class="related">
	<h3><?php echo __('Related Anuncios'); ?></h3>
	<?php if (!empty($user['Anuncio'])): ?>
	<table cellpadding = "0" cellspacing = "0">
	<tr>
		<th><?php echo __('Id'); ?></th>
		<th><?php echo __('Codigo'); ?></th>
		<th><?php echo __('Url'); ?></th>
		<th><?php echo __('Titulo'); ?></th>
		<th><?php echo __('Precio'); ?></th>
		<th><?php echo __('Direccion'); ?></th>
		<th><?php echo __('Descripcion'); ?></th>
		<th><?php echo __('Created'); ?></th>
		<th><?php echo __('Modified'); ?></th>
		<th><?php echo __('User Id'); ?></th>
		<th><?php echo __('Admin'); ?></th>
		<th><?php echo __('Country Id'); ?></th>
		<th><?php echo __('Ciudad Id'); ?></th>
		<th><?php echo __('Tipo Id'); ?></th>
		<th><?php echo __('Categoria Id'); ?></th>
		<th><?php echo __('Zona Id'); ?></th>
		<th><?php echo __('Destacado'); ?></th>
		<th><?php echo __('Estado'); ?></th>
		<th><?php echo __('Operacion'); ?></th>
		<th class="actions"><?php echo __('Actions'); ?></th>
	</tr>
	<?php foreach ($user['Anuncio'] as $anuncio): ?>
		<tr>
			<td><?php echo $anuncio['id']; ?></td>
			<td><?php echo $anuncio['codigo']; ?></td>
			<td><?php echo $anuncio['url']; ?></td>
			<td><?php echo $anuncio['titulo']; ?></td>
			<td><?php echo $anuncio['precio']; ?></td>
			<td><?php echo $anuncio['direccion']; ?></td>
			<td><?php echo $anuncio['descripcion']; ?></td>
			<td><?php echo $anuncio['created']; ?></td>
			<td><?php echo $anuncio['modified']; ?></td>
			<td><?php echo $anuncio['user_id']; ?></td>
			<td><?php echo $anuncio['admin']; ?></td>
			<td><?php echo $anuncio['country_id']; ?></td>
			<td><?php echo $anuncio['ciudad_id']; ?></td>
			<td><?php echo $anuncio['tipo_id']; ?></td>
			<td><?php echo $anuncio['categoria_id']; ?></td>
			<td><?php echo $anuncio['zona_id']; ?></td>
			<td><?php echo $anuncio['destacado']; ?></td>
			<td><?php echo $anuncio['estado']; ?></td>
			<td><?php echo $anuncio['operacion']; ?></td>
			<td class="actions">
				<?php echo $this->Html->link(__('View'), array('controller' => 'anuncios', 'action' => 'view', $anuncio['id'])); ?>
				<?php echo $this->Html->link(__('Edit'), array('controller' => 'anuncios', 'action' => 'edit', $anuncio['id'])); ?>
				<?php echo $this->Form->postLink(__('Delete'), array('controller' => 'anuncios', 'action' => 'delete', $anuncio['id']), array('confirm' => __('Are you sure you want to delete # %s?', $anuncio['id']))); ?>
			</td>
		</tr>
	<?php endforeach; ?>
	</table>
<?php endif; ?>

	<div class="actions">
		<ul>
			<li><?php echo $this->Html->link(__('New Anuncio'), array('controller' => 'anuncios', 'action' => 'add')); ?> </li>
		</ul>
	</div>
</div>
