<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Capa */

$this->title = $model->IdCapa;
$this->params['breadcrumbs'][] = ['label' => 'Capas', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="capa-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->IdCapa], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->IdCapa], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'IdCapa',
            'IdcTipoCapa',
            'IdcTipoMapa',
            'IdCreadoPor',
            'FechaModificacion',
            'FechaCreacion',
            'IdModificadoPor',
        ],
    ]) ?>

</div>
