<?php
/**
 * Created by PhpStorm.
 * User: hquispe
 * Date: 7/28/2016
 * Time: 11:58 AM
 */
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\KmzUpload */

$this->title = 'Subir Archivo Kmz';
$this->params['breadcrumbs'][] = ['label' => 'Importación de Información', 'url' => ['/importacion/index']];
$this->params['breadcrumbs'][] = $this->title;
?>


<?php
foreach (Yii::$app->session->getAllFlashes() as $key => $message) {
    echo '<div class="alert alert-' . $key . '">' . $message . '</div>';
}
?>

<div class="kmz-form">

    <h1><?= Html::encode($this->title) ?></h1>
    <div class="row">
        <div class="col-md-6">

            <?php $form = ActiveForm::begin(['action' =>['savekmz'], 'options' => ['enctype' => 'multipart/form-data'] ]); ?>


            <?= $form->field($model, 'TipoMapa')->dropDownList($comboTipoMapa,[
                'options'=>[$model->TipoMapa=>['Selected'=>'selected']  ],
                'prompt'=>'--Seleccione Tipo de mapa'
            ] )->label("Tipo de Mapa") ?>

            <?= $form->field($model, 'KmzFile')->fileInput()?>

            <div class="form-group">
                <?= Html::submitButton('Subir Mapa', ['class' =>  'btn btn-primary']) ?>
            </div>

            <?php ActiveForm::end(); ?>


        </div>
        <div class="col-md-6">

            <table class="table table-striped table-bordered">
                <thead>
                <tr>
                    <th>Archivo</th>
                    <th>Ultima Actualizacion</th>

                </tr>
                </thead>
                <tbody>


                <?php

                if (isset($archivos[0])) {
                    foreach ($archivos as $index => $file) {
                        $nameFicheiro = substr($file, strrpos($file, '/') + 1);
                        echo "<tr><td>" .$nameFicheiro."</td><td>" .date("d m Y H:i:s.",filemtime( $file )). "</td>" ; // render do ficheiro no browser
                    }
                } else {
                      echo "<tr><td colspan='2'> No hay  Archivos </td>";
                }

                ?>
                </tbody>
            </table>

        </div>
    </div>
<?=Yii::getAlias('@webroot')?>
</div>
