<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Persona */

$this->title = $model->Nombres ." ". $model->Apellidos;
$this->params['breadcrumbs'][] = ['label' => 'Personas', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="persona-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Actualizar', ['update', 'id' => $model->IdPersona], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Eliminar', ['delete', 'id' => $model->IdPersona], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => '¿Está seguro de eliminar este elemento?',
                'method' => 'post',
            ],
        ]) ?>
    </p>
<?php
$model->idcEstadoCivil->Nombre
?>
    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'IdPersona',
            'Nombres',
            'Apellidos',
            'CiNit',
            'Email:email',
            'Direccion',
            //'IdCreadoPor',
            //'IdModificadoPor',
            [
              'label'=>'Estado Civil',
              'value'=> $model->idcEstadoCivil->Nombre,
            ],
            'FechaNacimiento',
            [
                'label'=>'Activo',
                'value'=> $model->Activo?"Si":"No",
            ]
        ],
    ]) ?>

</div>
