<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\User */
/* @var $form yii\widgets\ActiveForm */


//$comboPersona = isset($comboPersona)?$comboPersona:[];
?>

<div class="user-form">

    <?php $form = ActiveForm::begin(); ?>

    <?php if( $model->isNewRecord){  ?>
    <?= $form->field($model, 'IdPersona')->label('Persona')->widget(
            \kartik\select2\Select2::className(),[
                    'data' => $comboPersona,
                //'hideSearch' => true,
                    'options' => [
                            'placeholder' => 'Seleccione Representante'
                    ],
                    'pluginOptions' => [
                            'allowClear' => true
                    ]

            ]
    ) ?>

    <?= $form->field($userLogin, 'username')->textInput(['maxlength' => true]) ?>
    <?php } //end if ?>

    <?= $form->field($userLogin, 'password')->passwordInput() ?>


    <?= $form->field($model, 'Rol')->dropDownList( \app\commands\Roles::$items,[
            'options'=>[$model->Rol=>['Selected'=>'selected']  ],
            'prompt'=>'Seleccione'
    ] ) ?>


    <?php if( !$model->isNewRecord ){ ?>
        <?= $form->field($model, 'Activo')->checkbox() ?>
    <?php } ?>
    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>






</div>
