<h2><?php echo __('Contactos'); ?></h2>

<p>
<?php
	echo $this->Paginator->counter(array(
	'format' => __('Página {:page} de {:pages}, viendo {:current} de un total de  {:count}, empezando en {:start}, finalizando en {:end}')
	));
	?>
</p>
<div class="container">
<div class="table-responsive">	
	<table cellpadding="0" cellspacing="0" class="table table-striped table-bordered table-hover table-condensed">
	<thead>
	<tr>
			<th class="info"><?php echo $this->Paginator->sort('id'); ?></th>
			<th class="info"><?php echo $this->Paginator->sort('nombre'); ?></th>			
			<th class="info"><?php echo $this->Paginator->sort('celular'); ?></th>
			<th class="info"><?php echo $this->Paginator->sort('asunto'); ?></th>
			<th class="info"><?php echo $this->Paginator->sort('titulo'); ?></th>
			<th class="info"><?php echo $this->Paginator->sort('publicado'); ?></th>
			<th class="info"><?php echo __('Acciones'); ?></th>
	</tr>
	</thead>
	<tbody>
	<?php foreach ($contactos as $contacto): ?>
	<tr>
		<td><?php echo h($contacto['Contacto']['id']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['nombre']); ?>&nbsp;</td>		
		<td><?php echo h($contacto['Contacto']['celular']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['asunto']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['titulo']); ?>&nbsp;</td>
		<td><?php echo h($contacto['Contacto']['created']); ?>&nbsp;</td>
		<td class="actions">
			<?php echo $this->Html->link(__(''), array('action' => 'view', $contacto['Contacto']['id']),array('class'=>'btn btn-success btn-xs fa fa-file-o','title'=>'Ver')); ?>
			
			<?php echo $this->Form->postLink(__(''), array('action' => 'delete', $contacto['Contacto']['id']), array('confirm' =>  __('¿Usted está seguro quiere eliminar # %s?', $contacto['Contacto']['id']),'class'=>'btn btn-danger btn-xs fa fa-trash-o','title'=>'Eliminar')); ?>
			
		</td>
	</tr>
<?php endforeach; ?>
	</tbody>
	</table>
</div>
</div>
	
	<div class="paging">

	<?php echo $this->paginator->prev('<< '.__('Anterior', true), array(), null, array('class'=>'disabled'));?>
 | 	<?php echo $this->paginator->numbers();?>
	<?php echo $this->paginator->next(__('Siguiente', true).' >>', array(), null, array('class' => 'disabled'));?>
</div>

