<div class="mensajes index">
	<h2><?php echo __('Mensajes'); ?></h2>
	<table cellpadding="0" cellspacing="0">
	<thead>
	<tr>
			<th><?php echo $this->Paginator->sort('id'); ?></th>
			<th><?php echo $this->Paginator->sort('url'); ?></th>
			<th><?php echo $this->Paginator->sort('titulo'); ?></th>
			<th><?php echo $this->Paginator->sort('tipo_id'); ?></th>
			<th><?php echo $this->Paginator->sort('categoria_id'); ?></th>
			<th><?php echo $this->Paginator->sort('zona_id'); ?></th>
			<th><?php echo $this->Paginator->sort('ciudad_id'); ?></th>
			<th><?php echo $this->Paginator->sort('mensaje'); ?></th>
			<th><?php echo $this->Paginator->sort('precio_pagar'); ?></th>
			<th><?php echo $this->Paginator->sort('fecha_limite'); ?></th>
			<th><?php echo $this->Paginator->sort('nombre'); ?></th>
			<th><?php echo $this->Paginator->sort('telefono'); ?></th>
			<th><?php echo $this->Paginator->sort('celular'); ?></th>
			<th><?php echo $this->Paginator->sort('email'); ?></th>
			<th><?php echo $this->Paginator->sort('skype'); ?></th>
			<th><?php echo $this->Paginator->sort('codigo'); ?></th>
			<th><?php echo $this->Paginator->sort('created'); ?></th>
			<th><?php echo $this->Paginator->sort('modified'); ?></th>
			<th class="actions"><?php echo __('Actions'); ?></th>
	</tr>
	</thead>
	<tbody>
	<?php foreach ($mensajes as $mensaje): ?>
	<tr>
		<td><?php echo h($mensaje['Mensaje']['id']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['url']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['titulo']); ?>&nbsp;</td>
		<td>
			<?php echo $this->Html->link($mensaje['Tipo']['id'], array('controller' => 'tipos', 'action' => 'view', $mensaje['Tipo']['id'])); ?>
		</td>
		<td>
			<?php echo $this->Html->link($mensaje['Categoria']['id'], array('controller' => 'categorias', 'action' => 'view', $mensaje['Categoria']['id'])); ?>
		</td>
		<td>
			<?php echo $this->Html->link($mensaje['Zona']['id'], array('controller' => 'zonas', 'action' => 'view', $mensaje['Zona']['id'])); ?>
		</td>
		<td>
			<?php echo $this->Html->link($mensaje['Ciudad']['id'], array('controller' => 'ciudads', 'action' => 'view', $mensaje['Ciudad']['id'])); ?>
		</td>
		<td><?php echo h($mensaje['Mensaje']['mensaje']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['precio_pagar']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['fecha_limite']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['nombre']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['telefono']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['celular']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['email']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['skype']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['codigo']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['created']); ?>&nbsp;</td>
		<td><?php echo h($mensaje['Mensaje']['modified']); ?>&nbsp;</td>
		<td class="actions">
			<?php echo $this->Html->link(__('View'), array('action' => 'view', $mensaje['Mensaje']['id'])); ?>
			<?php echo $this->Html->link(__('Edit'), array('action' => 'edit', $mensaje['Mensaje']['id'])); ?>
			<?php echo $this->Form->postLink(__('Delete'), array('action' => 'delete', $mensaje['Mensaje']['id']), array('confirm' => __('Are you sure you want to delete # %s?', $mensaje['Mensaje']['id']))); ?>
		</td>
	</tr>
<?php endforeach; ?>
	</tbody>
	</table>
	<p>
	<?php
	echo $this->Paginator->counter(array(
		'format' => __('Page {:page} of {:pages}, showing {:current} records out of {:count} total, starting on record {:start}, ending on {:end}')
	));
	?>	</p>
	<div class="paging">
	<?php
		echo $this->Paginator->prev('< ' . __('previous'), array(), null, array('class' => 'prev disabled'));
		echo $this->Paginator->numbers(array('separator' => ''));
		echo $this->Paginator->next(__('next') . ' >', array(), null, array('class' => 'next disabled'));
	?>
	</div>
</div>
<div class="actions">
	<h3><?php echo __('Actions'); ?></h3>
	<ul>
		<li><?php echo $this->Html->link(__('New Mensaje'), array('action' => 'add')); ?></li>
		<li><?php echo $this->Html->link(__('List Tipos'), array('controller' => 'tipos', 'action' => 'index')); ?> </li>
		<li><?php echo $this->Html->link(__('New Tipo'), array('controller' => 'tipos', 'action' => 'add')); ?> </li>
		<li><?php echo $this->Html->link(__('List Categorias'), array('controller' => 'categorias', 'action' => 'index')); ?> </li>
		<li><?php echo $this->Html->link(__('New Categoria'), array('controller' => 'categorias', 'action' => 'add')); ?> </li>
		<li><?php echo $this->Html->link(__('List Zonas'), array('controller' => 'zonas', 'action' => 'index')); ?> </li>
		<li><?php echo $this->Html->link(__('New Zona'), array('controller' => 'zonas', 'action' => 'add')); ?> </li>
		<li><?php echo $this->Html->link(__('List Ciudads'), array('controller' => 'ciudads', 'action' => 'index')); ?> </li>
		<li><?php echo $this->Html->link(__('New Ciudad'), array('controller' => 'ciudads', 'action' => 'add')); ?> </li>
	</ul>
</div>
