-- phpMyAdmin SQL Dump
-- version 4.7.3
-- https://www.phpmyadmin.net/
--
-- Servidor: localhost:3306
-- Tiempo de generación: 08-09-2017 a las 15:24:11
-- Versión del servidor: 5.6.37
-- Versión de PHP: 5.6.30

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `hcikrsjg_mapwebsite`
--

DELIMITER $$
--
-- Procedimientos
--
CREATE DEFINER=`hcikrsjg`@`localhost` PROCEDURE `pResumen` (IN `TipoCapa` INT)  READS SQL DATA
BEGIN		
SET @@group_concat_max_len = 5000;
		SET @sql = NULL;
		SELECT
		  GROUP_CONCAT(DISTINCT
			CONCAT(
			  'MAX(IF(Anio = ''',
			  Anio,
			  ''', valor, NULL)) AS ''',
			  Anio,''''
			)
		  ) INTO @sql
		FROM (select * from capadetalle where capadetalle.IdCapa=TipoCapa order by Anio ) a;
		SET @sql = CONCAT('SELECT Codigo, ', @sql, ' FROM capadetalle where capadetalle.IdCapa=''',TipoCapa,''' GROUP BY Codigo');



		PREPARE stmt FROM @sql;
		EXECUTE stmt;
		DEALLOCATE PREPARE stmt;
END$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `capa`
--

CREATE TABLE `capa` (
  `IdCapa` int(11) NOT NULL,
  `IdcTipoCapa` int(11) NOT NULL,
  `IdcTipoMapa` int(11) NOT NULL,
  `IdCreadoPor` int(11) DEFAULT NULL,
  `FechaModificacion` datetime DEFAULT NULL,
  `FechaCreacion` datetime DEFAULT NULL,
  `IdModificadoPor` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `capa`
--

INSERT INTO `capa` (`IdCapa`, `IdcTipoCapa`, `IdcTipoMapa`, `IdCreadoPor`, `FechaModificacion`, `FechaCreacion`, `IdModificadoPor`) VALUES
(10, 32, 28, 1, '2016-08-03 15:13:16', '2016-07-29 21:41:12', 1),
(11, 34, 29, 1, '2016-08-03 15:54:51', '2016-07-29 22:59:35', 1),
(12, 35, 30, 1, '2016-08-04 17:47:43', '2016-08-03 16:01:44', 2),
(18, 36, 28, 2, '2016-08-05 11:46:36', '2016-08-05 11:46:36', 2),
(20, 38, 28, 2, '2016-08-05 15:04:51', '2016-08-05 15:04:51', 2),
(21, 39, 29, 5, '2016-08-08 16:57:04', '2016-08-08 16:57:04', 5),
(35, 41, 40, 2, '2016-08-11 18:00:12', '2016-08-11 18:00:12', 2),
(36, 43, 42, 5, '2016-08-23 19:14:57', '2016-08-23 19:14:57', 5);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `capadetalle`
--

CREATE TABLE `capadetalle` (
  `IdCapaDetalle` int(11) NOT NULL,
  `IdCapa` int(11) NOT NULL,
  `Codigo` varchar(45) DEFAULT NULL,
  `Anio` int(11) DEFAULT NULL,
  `valor` decimal(9,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `capadetalle`
--

INSERT INTO `capadetalle` (`IdCapaDetalle`, `IdCapa`, `Codigo`, `Anio`, `valor`) VALUES
(1774, 10, 'SCZ', 2006, '7.97'),
(1775, 10, 'SCZ', 2007, '9.31'),
(1776, 10, 'SCZ', 2008, '10.58'),
(1777, 10, 'SCZ', 2009, '4.02'),
(1778, 10, 'SCZ', 2011, '4.52'),
(1779, 10, 'SCZ', 2012, '4.24'),
(1780, 10, 'SCZ', 2013, '3.72'),
(1781, 10, 'SCZ', 2014, '4.72'),
(1782, 10, 'LPZ', 2006, '9.86'),
(1783, 10, 'LPZ', 2007, '2.36'),
(1784, 10, 'LPZ', 2008, '1.82'),
(1785, 10, 'LPZ', 2009, '2.29'),
(1786, 10, 'LPZ', 2011, '1.07'),
(1787, 10, 'LPZ', 2012, '1.99'),
(1788, 10, 'LPZ', 2013, '3.99'),
(1789, 10, 'LPZ', 2014, '2.62'),
(1790, 10, 'CBA', 2006, '11.48'),
(1791, 10, 'CBA', 2007, '5.56'),
(1792, 10, 'CBA', 2008, '6.35'),
(1793, 10, 'CBA', 2009, '2.17'),
(1794, 10, 'CBA', 2011, '3.58'),
(1795, 10, 'CBA', 2012, '3.03'),
(1796, 10, 'CBA', 2013, '3.22'),
(1797, 10, 'CBA', 2014, '6.06'),
(2365, 11, 'LPZ', 2012, '779726.00'),
(2366, 11, 'LPZ', 2013, '782324.00'),
(2367, 11, 'LPZ', 2014, '785603.00'),
(2368, 11, 'LPZ', 2015, '789539.00'),
(2369, 11, 'LPZ', 2016, '794012.00'),
(2370, 11, 'LPZ', 2017, '798965.00'),
(2371, 11, 'LPZ', 2018, '804267.00'),
(2372, 11, 'LPZ', 2019, '809961.00'),
(2373, 11, 'LPZ', 2020, '816042.00'),
(2374, 11, 'PAL', 2012, '16957.00'),
(2375, 11, 'PAL', 2013, '17029.00'),
(2376, 11, 'PAL', 2014, '17112.00'),
(2377, 11, 'PAL', 2015, '17202.00'),
(2378, 11, 'PAL', 2016, '17291.00'),
(2379, 11, 'PAL', 2017, '17391.00'),
(2380, 11, 'PAL', 2018, '17495.00'),
(2381, 11, 'PAL', 2019, '17596.00'),
(2382, 11, 'PAL', 2020, '17706.00'),
(2383, 11, 'MEC', 2012, '16321.00'),
(2384, 11, 'MEC', 2013, '16617.00'),
(2385, 11, 'MEC', 2014, '16930.00'),
(2386, 11, 'MEC', 2015, '17248.00'),
(2387, 11, 'MEC', 2016, '17585.00'),
(2388, 11, 'MEC', 2017, '17923.00'),
(2389, 11, 'MEC', 2018, '18278.00'),
(2390, 11, 'MEC', 2019, '18641.00'),
(2391, 11, 'MEC', 2020, '19011.00'),
(2392, 11, 'ACH', 2012, '22591.00'),
(2393, 11, 'ACH', 2013, '22623.00'),
(2394, 11, 'ACH', 2014, '22655.00'),
(2395, 11, 'ACH', 2015, '22688.00'),
(2396, 11, 'ACH', 2016, '22713.00'),
(2397, 11, 'ACH', 2017, '22748.00'),
(2398, 11, 'ACH', 2018, '22782.00'),
(2399, 11, 'ACH', 2019, '22835.00'),
(2400, 11, 'ACH', 2020, '22881.00'),
(2401, 11, 'EAL', 2012, '860060.00'),
(2402, 11, 'EAL', 2013, '870574.00'),
(2403, 11, 'EAL', 2014, '881025.00'),
(2404, 11, 'EAL', 2015, '891431.00'),
(2405, 11, 'EAL', 2016, '901821.00'),
(2406, 11, 'EAL', 2017, '912205.00'),
(2407, 11, 'EAL', 2018, '922596.00'),
(2408, 11, 'EAL', 2019, '933052.00'),
(2409, 11, 'EAL', 2020, '943556.00'),
(2410, 11, 'VIA', 2012, '81666.00'),
(2411, 11, 'VIA', 2013, '83203.00'),
(2412, 11, 'VIA', 2014, '84597.00'),
(2413, 11, 'VIA', 2015, '85851.00'),
(2414, 11, 'VIA', 2016, '87003.00'),
(2415, 11, 'VIA', 2017, '88066.00'),
(2416, 11, 'VIA', 2018, '89063.00'),
(2417, 11, 'VIA', 2019, '89987.00'),
(2418, 11, 'VIA', 2020, '90878.00'),
(2419, 11, 'PUC', 2012, '29038.00'),
(2420, 11, 'PUC', 2013, '29122.00'),
(2421, 11, 'PUC', 2014, '29203.00'),
(2422, 11, 'PUC', 2015, '29292.00'),
(2423, 11, 'PUC', 2016, '29393.00'),
(2424, 11, 'PUC', 2017, '29486.00'),
(2425, 11, 'PUC', 2018, '29590.00'),
(2426, 11, 'PUC', 2019, '29697.00'),
(2427, 11, 'PUC', 2020, '29796.00'),
(2428, 11, 'LAJ', 2012, '24974.00'),
(2429, 11, 'LAJ', 2013, '25181.00'),
(2430, 11, 'LAJ', 2014, '25357.00'),
(2431, 11, 'LAJ', 2015, '25528.00'),
(2432, 11, 'LAJ', 2016, '25682.00'),
(2433, 11, 'LAJ', 2017, '25826.00'),
(2434, 11, 'LAJ', 2018, '25966.00'),
(2435, 11, 'LAJ', 2019, '26096.00'),
(2436, 11, 'LAJ', 2020, '26223.00'),
(2437, 11, 'CBA', 2012, '645694.00'),
(2438, 11, 'CBA', 2013, '654088.00'),
(2439, 11, 'CBA', 2014, '662950.00'),
(2440, 11, 'CBA', 2015, '672254.00'),
(2441, 11, 'CBA', 2016, '681945.00'),
(2442, 11, 'CBA', 2017, '691968.00'),
(2443, 11, 'CBA', 2018, '702371.00'),
(2444, 11, 'CBA', 2019, '713105.00'),
(2445, 11, 'CBA', 2020, '724124.00'),
(2446, 11, 'QUI', 2012, '139464.00'),
(2447, 11, 'QUI', 2013, '143256.00'),
(2448, 11, 'QUI', 2014, '147025.00'),
(2449, 11, 'QUI', 2015, '150788.00'),
(2450, 11, 'QUI', 2016, '154537.00'),
(2451, 11, 'QUI', 2017, '158262.00'),
(2452, 11, 'QUI', 2018, '161970.00'),
(2453, 11, 'QUI', 2019, '165670.00'),
(2454, 11, 'QUI', 2020, '169357.00'),
(2455, 11, 'SSP', 2012, '42763.00'),
(2456, 11, 'SSP', 2013, '43465.00'),
(2457, 11, 'SSP', 2014, '44109.00'),
(2458, 11, 'SSP', 2015, '44696.00'),
(2459, 11, 'SSP', 2016, '45243.00'),
(2460, 11, 'SSP', 2017, '45749.00'),
(2461, 11, 'SSP', 2018, '46232.00'),
(2462, 11, 'SSP', 2019, '46691.00'),
(2463, 11, 'SSP', 2020, '47133.00'),
(2464, 11, 'TIQ', 2012, '54874.00'),
(2465, 11, 'TIQ', 2013, '56236.00'),
(2466, 11, 'TIQ', 2014, '57608.00'),
(2467, 11, 'TIQ', 2015, '58982.00'),
(2468, 11, 'TIQ', 2016, '60358.00'),
(2469, 11, 'TIQ', 2017, '61735.00'),
(2470, 11, 'TIQ', 2018, '63117.00'),
(2471, 11, 'TIQ', 2019, '64492.00'),
(2472, 11, 'TIQ', 2020, '65879.00'),
(2473, 11, 'VIN', 2012, '52963.00'),
(2474, 11, 'VIN', 2013, '54328.00'),
(2475, 11, 'VIN', 2014, '55602.00'),
(2476, 11, 'VIN', 2015, '56811.00'),
(2477, 11, 'VIN', 2016, '57954.00'),
(2478, 11, 'VIN', 2017, '59050.00'),
(2479, 11, 'VIN', 2018, '60106.00'),
(2480, 11, 'VIN', 2019, '61125.00'),
(2481, 11, 'VIN', 2020, '62129.00'),
(2482, 11, 'COL', 2012, '53116.00'),
(2483, 11, 'COL', 2013, '53815.00'),
(2484, 11, 'COL', 2014, '54518.00'),
(2485, 11, 'COL', 2015, '55258.00'),
(2486, 11, 'COL', 2016, '56016.00'),
(2487, 11, 'COL', 2017, '56784.00'),
(2488, 11, 'COL', 2018, '57567.00'),
(2489, 11, 'COL', 2019, '58363.00'),
(2490, 11, 'COL', 2020, '59170.00'),
(2491, 11, 'SAC', 2012, '175755.00'),
(2492, 11, 'SAC', 2013, '179930.00'),
(2493, 11, 'SAC', 2014, '184090.00'),
(2494, 11, 'SAC', 2015, '188240.00'),
(2495, 11, 'SAC', 2016, '192392.00'),
(2496, 11, 'SAC', 2017, '196537.00'),
(2497, 11, 'SAC', 2018, '200663.00'),
(2498, 11, 'SAC', 2019, '204789.00'),
(2499, 11, 'SAC', 2020, '208912.00'),
(2500, 11, 'SCS', 2012, '1523487.00'),
(2501, 11, 'SCS', 2013, '1555538.00'),
(2502, 11, 'SCS', 2014, '1585861.00'),
(2503, 11, 'SCS', 2015, '1614222.00'),
(2504, 11, 'SCS', 2016, '1640613.00'),
(2505, 11, 'SCS', 2017, '1664661.00'),
(2506, 11, 'SCS', 2018, '1686374.00'),
(2507, 11, 'SCS', 2019, '1705704.00'),
(2508, 11, 'SCS', 2020, '1722478.00'),
(2509, 11, 'COT', 2012, '47922.00'),
(2510, 11, 'COT', 2013, '48922.00'),
(2511, 11, 'COT', 2014, '49882.00'),
(2512, 11, 'COT', 2015, '50812.00'),
(2513, 11, 'COT', 2016, '51705.00'),
(2514, 11, 'COT', 2017, '52556.00'),
(2515, 11, 'COT', 2018, '53377.00'),
(2516, 11, 'COT', 2019, '54134.00'),
(2517, 11, 'COT', 2020, '54848.00'),
(2518, 11, 'POR', 2012, '16247.00'),
(2519, 11, 'POR', 2013, '16398.00'),
(2520, 11, 'POR', 2014, '16522.00'),
(2521, 11, 'POR', 2015, '16655.00'),
(2522, 11, 'POR', 2016, '16762.00'),
(2523, 11, 'POR', 2017, '16854.00'),
(2524, 11, 'POR', 2018, '16927.00'),
(2525, 11, 'POR', 2019, '17001.00'),
(2526, 11, 'POR', 2020, '17046.00'),
(2527, 11, 'LGU', 2012, '91350.00'),
(2528, 11, 'LGU', 2013, '99397.00'),
(2529, 11, 'LGU', 2014, '108167.00'),
(2530, 11, 'LGU', 2015, '117682.00'),
(2531, 11, 'LGU', 2016, '127985.00'),
(2532, 11, 'LGU', 2017, '139101.00'),
(2533, 11, 'LGU', 2018, '151078.00'),
(2534, 11, 'LGU', 2019, '163943.00'),
(2535, 11, 'LGU', 2020, '177733.00'),
(2536, 11, 'ETO', 2012, '52092.00'),
(2537, 11, 'ETO', 2013, '53501.00'),
(2538, 11, 'ETO', 2014, '54925.00'),
(2539, 11, 'ETO', 2015, '56353.00'),
(2540, 11, 'ETO', 2016, '57759.00'),
(2541, 11, 'ETO', 2017, '59165.00'),
(2542, 11, 'ETO', 2018, '60564.00'),
(2543, 11, 'ETO', 2019, '61936.00'),
(2544, 11, 'ETO', 2020, '63295.00'),
(2545, 11, 'WAR', 2012, '98334.00'),
(2546, 11, 'WAR', 2013, '108063.00'),
(2547, 11, 'WAR', 2014, '118960.00'),
(2548, 11, 'WAR', 2015, '131118.00'),
(2549, 11, 'WAR', 2016, '144628.00'),
(2550, 11, 'WAR', 2017, '159597.00'),
(2551, 11, 'WAR', 2018, '176118.00'),
(2552, 11, 'WAR', 2019, '194311.00'),
(2553, 11, 'WAR', 2020, '214243.00'),
(2631, 12, 'CEL', 2015, '6688.00'),
(2632, 12, 'SAC', 2015, '0.00'),
(2633, 12, 'NOR', 2015, '332562.00'),
(2634, 12, 'SUD', 2015, '220706.00'),
(2635, 12, 'ALA', 2015, '11508.00'),
(2636, 12, 'HUA', 2015, '6088.00'),
(2637, 12, 'CVE', 2015, '7510.00'),
(2638, 12, 'COL', 2015, '0.00'),
(2639, 12, 'QUI', 2015, '0.00'),
(2640, 12, 'VIN', 2015, '0.00'),
(2641, 12, 'KAR', 2015, '4450.00'),
(2642, 12, 'MAL', 2015, '0.00'),
(2643, 12, 'ZSU', 2015, '220302.00'),
(2644, 12, 'LAO', 2015, '147852.00'),
(2645, 12, 'LAN', 2015, '33728.00'),
(2646, 12, 'CEN', 2015, '104697.00'),
(2647, 12, 'LAE', 2015, '258741.00'),
(2648, 12, 'LAS', 2015, '35114.00'),
(2649, 12, 'EAL', 2015, '123641.00'),
(2650, 12, 'ZNE', 2015, '8680.00'),
(2651, 12, 'ZES', 2015, '70890.00'),
(2652, 12, 'ZSE', 2015, '5350.00'),
(2653, 12, 'ZSR', 2015, '195741.00'),
(2654, 12, 'ZSO', 2015, '7970.00'),
(2655, 12, 'ZOE', 2015, '123478.00'),
(2656, 12, 'ZNO', 2015, '311295.00'),
(2657, 12, 'ZNT', 2015, '696340.00'),
(2658, 12, 'CAV', 2015, '87646.00'),
(2659, 12, 'URU', 2015, '540590.00'),
(2891, 18, 'SCZ', 2000, '225048.00'),
(2892, 18, 'SCZ', 2001, '177070.00'),
(2893, 18, 'SCZ', 2002, '251358.00'),
(2894, 18, 'SCZ', 2003, '186265.00'),
(2895, 18, 'SCZ', 2004, '141041.00'),
(2896, 18, 'SCZ', 2005, '169252.00'),
(2897, 18, 'SCZ', 2006, '162710.00'),
(2898, 18, 'SCZ', 2007, '184247.00'),
(2899, 18, 'SCZ', 2008, '205089.00'),
(2900, 18, 'SCZ', 2009, '225474.00'),
(2901, 18, 'SCZ', 2010, '247301.00'),
(2902, 18, 'SCZ', 2011, '269355.00'),
(2903, 18, 'SCZ', 2012, '290965.00'),
(2904, 18, 'SCZ', 2013, '334153.00'),
(2905, 18, 'SCZ', 2014, '362135.00'),
(2906, 18, 'LPZ', 2000, '195198.00'),
(2907, 18, 'LPZ', 2001, '191017.00'),
(2908, 18, 'LPZ', 2002, '159923.00'),
(2909, 18, 'LPZ', 2003, '127739.00'),
(2910, 18, 'LPZ', 2004, '154269.00'),
(2911, 18, 'LPZ', 2005, '157511.00'),
(2912, 18, 'LPZ', 2006, '135106.00'),
(2913, 18, 'LPZ', 2007, '162209.00'),
(2914, 18, 'LPZ', 2008, '182910.00'),
(2915, 18, 'LPZ', 2009, '203324.00'),
(2916, 18, 'LPZ', 2010, '222871.00'),
(2917, 18, 'LPZ', 2011, '232534.00'),
(2918, 18, 'LPZ', 2012, '251190.00'),
(2919, 18, 'LPZ', 2013, '264719.00'),
(2920, 18, 'LPZ', 2014, '261680.00'),
(2921, 18, 'CBA', 2000, '133429.00'),
(2922, 18, 'CBA', 2001, '126787.00'),
(2923, 18, 'CBA', 2002, '122239.00'),
(2924, 18, 'CBA', 2003, '80331.00'),
(2925, 18, 'CBA', 2004, '121495.00'),
(2926, 18, 'CBA', 2005, '117951.00'),
(2927, 18, 'CBA', 2006, '134706.00'),
(2928, 18, 'CBA', 2007, '134450.00'),
(2929, 18, 'CBA', 2008, '142260.00'),
(2930, 18, 'CBA', 2009, '160288.00'),
(2931, 18, 'CBA', 2010, '173024.00'),
(2932, 18, 'CBA', 2011, '193941.00'),
(2933, 18, 'CBA', 2012, '209500.00'),
(2934, 18, 'CBA', 2013, '236187.00'),
(2935, 18, 'CBA', 2014, '276309.00'),
(2960, 20, 'SCZ', 2002, '101.01'),
(2961, 20, 'SCZ', 2003, '104.07'),
(2962, 20, 'SCZ', 2004, '111.03'),
(2963, 20, 'SCZ', 2005, '115.83'),
(2964, 20, 'SCZ', 2006, '121.57'),
(2965, 20, 'SCZ', 2007, '135.77'),
(2966, 20, 'SCZ', 2008, '164.65'),
(2967, 20, 'SCZ', 2009, '163.32'),
(2968, 20, 'SCZ', 2010, '166.70'),
(2969, 20, 'SCZ', 2011, '187.03'),
(2970, 20, 'SCZ', 2012, '198.46'),
(2971, 20, 'SCZ', 2013, '200.41'),
(2972, 20, 'SCZ', 2014, '201.75'),
(2973, 20, 'SCZ', 2015, '205.67'),
(2974, 20, 'SCZ', 2016, '207.89'),
(2975, 20, 'LPZ', 2002, '102.76'),
(2976, 20, 'LPZ', 2003, '106.33'),
(2977, 20, 'LPZ', 2004, '112.67'),
(2978, 20, 'LPZ', 2005, '112.71'),
(2979, 20, 'LPZ', 2006, '117.59'),
(2980, 20, 'LPZ', 2007, '127.82'),
(2981, 20, 'LPZ', 2008, '152.98'),
(2982, 20, 'LPZ', 2009, '146.97'),
(2983, 20, 'LPZ', 2010, '149.35'),
(2984, 20, 'LPZ', 2011, '170.05'),
(2985, 20, 'LPZ', 2012, '179.92'),
(2986, 20, 'LPZ', 2013, '190.35'),
(2987, 20, 'LPZ', 2014, '197.86'),
(2988, 20, 'LPZ', 2015, '198.18'),
(2989, 20, 'LPZ', 2016, '196.06'),
(2990, 20, 'CBA', 2002, '101.61'),
(2991, 20, 'CBA', 2003, '104.30'),
(2992, 20, 'CBA', 2004, '110.21'),
(2993, 20, 'CBA', 2005, '114.45'),
(2994, 20, 'CBA', 2006, '119.77'),
(2995, 20, 'CBA', 2007, '130.44'),
(2996, 20, 'CBA', 2008, '149.51'),
(2997, 20, 'CBA', 2009, '149.33'),
(2998, 20, 'CBA', 2010, '151.77'),
(2999, 20, 'CBA', 2011, '163.77'),
(3000, 20, 'CBA', 2012, '174.46'),
(3001, 20, 'CBA', 2013, '175.74'),
(3002, 20, 'CBA', 2014, '181.62'),
(3003, 20, 'CBA', 2015, '181.73'),
(3004, 20, 'CBA', 2016, '178.51'),
(3005, 21, 'LPZ', 2012, '226.10'),
(3006, 21, 'LPZ', 2013, '232.30'),
(3007, 21, 'LPZ', 2014, '238.40'),
(3008, 21, 'LPZ', 2015, '244.50'),
(3009, 21, 'LPZ', 2016, '250.60'),
(3010, 21, 'LPZ', 2017, '256.60'),
(3011, 21, 'LPZ', 2018, '262.60'),
(3012, 21, 'LPZ', 2019, '268.60'),
(3013, 21, 'LPZ', 2020, '274.60'),
(3014, 21, 'PAL', 2012, '227.30'),
(3015, 21, 'PAL', 2013, '232.70'),
(3016, 21, 'PAL', 2014, '238.10'),
(3017, 21, 'PAL', 2015, '243.50'),
(3018, 21, 'PAL', 2016, '248.90'),
(3019, 21, 'PAL', 2017, '254.20'),
(3020, 21, 'PAL', 2018, '259.60'),
(3021, 21, 'PAL', 2019, '264.90'),
(3022, 21, 'PAL', 2020, '270.20'),
(3023, 21, 'MEC', 2012, '144.90'),
(3024, 21, 'MEC', 2013, '148.50'),
(3025, 21, 'MEC', 2014, '152.20'),
(3026, 21, 'MEC', 2015, '155.80'),
(3027, 21, 'MEC', 2016, '159.40'),
(3028, 21, 'MEC', 2017, '163.10'),
(3029, 21, 'MEC', 2018, '166.70'),
(3030, 21, 'MEC', 2019, '170.30'),
(3031, 21, 'MEC', 2020, '174.00'),
(3032, 21, 'ACH', 2012, '1673.80'),
(3033, 21, 'ACH', 2013, '1695.80'),
(3034, 21, 'ACH', 2014, '1717.90'),
(3035, 21, 'ACH', 2015, '1741.30'),
(3036, 21, 'ACH', 2016, '1765.10'),
(3037, 21, 'ACH', 2017, '1789.30'),
(3038, 21, 'ACH', 2018, '1814.00'),
(3039, 21, 'ACH', 2019, '1839.10'),
(3040, 21, 'ACH', 2020, '1864.50'),
(3041, 21, 'EAL', 2012, '80.70'),
(3042, 21, 'EAL', 2013, '82.00'),
(3043, 21, 'EAL', 2014, '83.30'),
(3044, 21, 'EAL', 2015, '84.40'),
(3045, 21, 'EAL', 2016, '85.40'),
(3046, 21, 'EAL', 2017, '86.30'),
(3047, 21, 'EAL', 2018, '87.30'),
(3048, 21, 'EAL', 2019, '88.10'),
(3049, 21, 'EAL', 2020, '89.00'),
(3050, 21, 'VIA', 2012, '220.70'),
(3051, 21, 'VIA', 2013, '226.40'),
(3052, 21, 'VIA', 2014, '231.70'),
(3053, 21, 'VIA', 2015, '236.80'),
(3054, 21, 'VIA', 2016, '241.50'),
(3055, 21, 'VIA', 2017, '246.10'),
(3056, 21, 'VIA', 2018, '250.50'),
(3057, 21, 'VIA', 2019, '254.80'),
(3058, 21, 'VIA', 2020, '258.90'),
(3059, 21, 'PUC', 2012, '86.10'),
(3060, 21, 'PUC', 2013, '93.70'),
(3061, 21, 'PUC', 2014, '102.00'),
(3062, 21, 'PUC', 2015, '110.90'),
(3063, 21, 'PUC', 2016, '120.60'),
(3064, 21, 'PUC', 2017, '131.10'),
(3065, 21, 'PUC', 2018, '142.40'),
(3066, 21, 'PUC', 2019, '154.50'),
(3067, 21, 'PUC', 2020, '167.50'),
(3068, 21, 'LAJ', 2012, '48.80'),
(3069, 21, 'LAJ', 2013, '50.10'),
(3070, 21, 'LAJ', 2014, '51.40'),
(3071, 21, 'LAJ', 2015, '52.80'),
(3072, 21, 'LAJ', 2016, '54.10'),
(3073, 21, 'LAJ', 2017, '55.40'),
(3074, 21, 'LAJ', 2018, '56.70'),
(3075, 21, 'LAJ', 2019, '58.00'),
(3076, 21, 'LAJ', 2020, '59.30'),
(3077, 21, 'CBA', 2012, '69.70'),
(3078, 21, 'CBA', 2013, '71.20'),
(3079, 21, 'CBA', 2014, '72.60'),
(3080, 21, 'CBA', 2015, '73.90'),
(3081, 21, 'CBA', 2016, '75.20'),
(3082, 21, 'CBA', 2017, '76.50'),
(3083, 21, 'CBA', 2018, '77.70'),
(3084, 21, 'CBA', 2019, '78.80'),
(3085, 21, 'CBA', 2020, '79.80'),
(3086, 21, 'QUI', 2012, '2024.70'),
(3087, 21, 'QUI', 2013, '2051.00'),
(3088, 21, 'QUI', 2014, '2078.80'),
(3089, 21, 'QUI', 2015, '2108.00'),
(3090, 21, 'QUI', 2016, '2138.40'),
(3091, 21, 'QUI', 2017, '2169.80'),
(3092, 21, 'QUI', 2018, '2202.40'),
(3093, 21, 'QUI', 2019, '2236.10'),
(3094, 21, 'QUI', 2020, '2270.60'),
(3095, 21, 'SSP', 2012, '15.50'),
(3096, 21, 'SSP', 2013, '15.70'),
(3097, 21, 'SSP', 2014, '15.80'),
(3098, 21, 'SSP', 2015, '15.90'),
(3099, 21, 'SSP', 2016, '16.00'),
(3100, 21, 'SSP', 2017, '16.10'),
(3101, 21, 'SSP', 2018, '16.20'),
(3102, 21, 'SSP', 2019, '16.20'),
(3103, 21, 'SSP', 2020, '16.30'),
(3104, 21, 'TIQ', 2012, '1081.00'),
(3105, 21, 'TIQ', 2013, '1103.80'),
(3106, 21, 'TIQ', 2014, '1125.30'),
(3107, 21, 'TIQ', 2015, '1145.40'),
(3108, 21, 'TIQ', 2016, '1164.10'),
(3109, 21, 'TIQ', 2017, '1181.20'),
(3110, 21, 'TIQ', 2018, '1196.60'),
(3111, 21, 'TIQ', 2019, '1210.30'),
(3112, 21, 'TIQ', 2020, '1222.20'),
(3113, 21, 'VIN', 2012, '67.60'),
(3114, 21, 'VIN', 2013, '74.30'),
(3115, 21, 'VIN', 2014, '81.80'),
(3116, 21, 'VIN', 2015, '90.20'),
(3117, 21, 'VIN', 2016, '99.50'),
(3118, 21, 'VIN', 2017, '109.80'),
(3119, 21, 'VIN', 2018, '121.10'),
(3120, 21, 'VIN', 2019, '133.60'),
(3121, 21, 'VIN', 2020, '147.40'),
(3122, 21, 'COL', 2012, '87.60'),
(3123, 21, 'COL', 2013, '89.30'),
(3124, 21, 'COL', 2014, '90.80'),
(3125, 21, 'COL', 2015, '92.10'),
(3126, 21, 'COL', 2016, '93.40'),
(3127, 21, 'COL', 2017, '94.50'),
(3128, 21, 'COL', 2018, '95.60'),
(3129, 21, 'COL', 2019, '96.60'),
(3130, 21, 'COL', 2020, '97.50'),
(3131, 21, 'SAC', 2012, '33.00'),
(3132, 21, 'SAC', 2013, '33.30'),
(3133, 21, 'SAC', 2014, '33.50'),
(3134, 21, 'SAC', 2015, '33.70'),
(3135, 21, 'SAC', 2016, '33.90'),
(3136, 21, 'SAC', 2017, '34.10'),
(3137, 21, 'SAC', 2018, '34.30'),
(3138, 21, 'SAC', 2019, '34.50'),
(3139, 21, 'SAC', 2020, '34.70'),
(3140, 21, 'SCS', 2012, '28.10'),
(3141, 21, 'SCS', 2013, '28.60'),
(3142, 21, 'SCS', 2014, '29.20'),
(3143, 21, 'SCS', 2015, '29.70'),
(3144, 21, 'SCS', 2016, '30.30'),
(3145, 21, 'SCS', 2017, '30.90'),
(3146, 21, 'SCS', 2018, '31.50'),
(3147, 21, 'SCS', 2019, '32.10'),
(3148, 21, 'SCS', 2020, '32.70'),
(3149, 21, 'COT', 2012, '20.90'),
(3150, 21, 'COT', 2013, '21.00'),
(3151, 21, 'COT', 2014, '21.10'),
(3152, 21, 'COT', 2015, '21.20'),
(3153, 21, 'COT', 2016, '21.30'),
(3154, 21, 'COT', 2017, '21.50'),
(3155, 21, 'COT', 2018, '21.60'),
(3156, 21, 'COT', 2019, '21.70'),
(3157, 21, 'COT', 2020, '21.90'),
(3158, 21, 'POR', 2012, '105.80'),
(3159, 21, 'POR', 2013, '106.00'),
(3160, 21, 'POR', 2014, '106.10'),
(3161, 21, 'POR', 2015, '106.30'),
(3162, 21, 'POR', 2016, '106.40'),
(3163, 21, 'POR', 2017, '106.60'),
(3164, 21, 'POR', 2018, '106.70'),
(3165, 21, 'POR', 2019, '107.00'),
(3166, 21, 'POR', 2020, '107.20'),
(3167, 21, 'LGU', 2012, '2254.30'),
(3168, 21, 'LGU', 2013, '2281.90'),
(3169, 21, 'LGU', 2014, '2309.30'),
(3170, 21, 'LGU', 2015, '2336.60'),
(3171, 21, 'LGU', 2016, '2363.80'),
(3172, 21, 'LGU', 2017, '2391.00'),
(3173, 21, 'LGU', 2018, '2418.30'),
(3174, 21, 'LGU', 2019, '2445.70'),
(3175, 21, 'LGU', 2020, '2473.20'),
(3176, 21, 'ETO', 2012, '28.50'),
(3177, 21, 'ETO', 2013, '28.50'),
(3178, 21, 'ETO', 2014, '28.60'),
(3179, 21, 'ETO', 2015, '28.70'),
(3180, 21, 'ETO', 2016, '28.80'),
(3181, 21, 'ETO', 2017, '28.90'),
(3182, 21, 'ETO', 2018, '29.00'),
(3183, 21, 'ETO', 2019, '29.10'),
(3184, 21, 'ETO', 2020, '29.20'),
(3185, 21, 'WAR', 2012, '359.70'),
(3186, 21, 'WAR', 2013, '360.90'),
(3187, 21, 'WAR', 2014, '362.40'),
(3188, 21, 'WAR', 2015, '364.20'),
(3189, 21, 'WAR', 2016, '366.30'),
(3190, 21, 'WAR', 2017, '368.60'),
(3191, 21, 'WAR', 2018, '371.00'),
(3192, 21, 'WAR', 2019, '373.70'),
(3193, 21, 'WAR', 2020, '376.50'),
(3486, 35, 'ACA', 2015, '1.00'),
(3487, 35, 'ABN', 2015, '100000.00'),
(3488, 35, 'ABM', 2015, '25000.00'),
(3489, 35, 'ABB', 2015, '25000.00'),
(3490, 35, 'ABA', 2015, '75000.00'),
(3491, 35, 'AAZ', 2015, '25000.00'),
(3492, 35, 'ABC', 2015, '25000.00'),
(3493, 35, 'ABL', 2015, '25000.00'),
(3494, 35, 'ABO', 2015, '25000.00'),
(3495, 35, 'ACB', 2015, '50000.00'),
(3496, 35, 'ACC', 2015, '50000.00'),
(3497, 35, 'ABP', 2015, '25000.00'),
(3498, 35, 'ABD', 2015, '25000.00'),
(3499, 35, 'ACD', 2015, '25000.00'),
(3500, 35, 'ABQ', 2015, '25000.00'),
(3501, 35, 'ABE', 2015, '25000.00'),
(3502, 35, 'ACE', 2015, '25000.00'),
(3503, 35, 'ABR', 2015, '25000.00'),
(3504, 35, 'ACF', 2015, '25000.00'),
(3505, 35, 'ABS', 2015, '75000.00'),
(3506, 35, 'ACG', 2015, '75000.00'),
(3507, 35, 'AAB', 2015, '50000.00'),
(3508, 35, 'AAC', 2015, '50000.00'),
(3509, 35, 'AAF', 2015, '50000.00'),
(3510, 35, 'AAD', 2015, '75000.00'),
(3511, 36, 'EQR', 2004, '8.00'),
(3512, 36, 'EQR', 2005, '12.00'),
(3513, 36, 'EQR', 2006, '17.00'),
(3514, 36, 'EQR', 2007, '21.00'),
(3515, 36, 'EQR', 2008, '26.00'),
(3516, 36, 'EQR', 2009, '30.00'),
(3517, 36, 'EQR', 2010, '34.00'),
(3518, 36, 'EQR', 2011, '39.00'),
(3519, 36, 'EQR', 2012, '43.00'),
(3520, 36, 'EQR', 2013, '48.00'),
(3521, 36, 'EQR', 2014, '52.00'),
(3522, 36, 'EQR', 2015, '65.00'),
(3523, 36, 'EQR', 2016, '78.00'),
(3524, 36, 'EQR', 2017, '90.00'),
(3525, 36, 'EQR', 2018, '103.00'),
(3526, 36, 'EQR', 2019, '116.00'),
(3527, 36, 'EQR', 2020, '128.00'),
(3528, 36, 'EQR', 2021, '141.00'),
(3529, 36, 'EQR', 2022, '154.00'),
(3530, 36, 'EQR', 2023, '166.00'),
(3531, 36, 'ALE', 2004, '24.00'),
(3532, 36, 'ALE', 2005, '40.00'),
(3533, 36, 'ALE', 2006, '56.00'),
(3534, 36, 'ALE', 2007, '72.00'),
(3535, 36, 'ALE', 2008, '89.00'),
(3536, 36, 'ALE', 2009, '105.00'),
(3537, 36, 'ALE', 2010, '121.00'),
(3538, 36, 'ALE', 2011, '137.00'),
(3539, 36, 'ALE', 2012, '153.00'),
(3540, 36, 'ALE', 2013, '170.00'),
(3541, 36, 'ALE', 2014, '186.00'),
(3542, 36, 'ALE', 2015, '232.00'),
(3543, 36, 'ALE', 2016, '278.00'),
(3544, 36, 'ALE', 2017, '323.00'),
(3545, 36, 'ALE', 2018, '369.00'),
(3546, 36, 'ALE', 2019, '415.00'),
(3547, 36, 'ALE', 2020, '460.00'),
(3548, 36, 'ALE', 2021, '506.00'),
(3549, 36, 'ALE', 2022, '551.00'),
(3550, 36, 'ALE', 2023, '596.00'),
(3551, 36, 'DLG', 2004, '25.00'),
(3552, 36, 'DLG', 2005, '27.00'),
(3553, 36, 'DLG', 2006, '30.00'),
(3554, 36, 'DLG', 2007, '32.00'),
(3555, 36, 'DLG', 2008, '35.00'),
(3556, 36, 'DLG', 2009, '37.00'),
(3557, 36, 'DLG', 2010, '39.00'),
(3558, 36, 'DLG', 2011, '42.00'),
(3559, 36, 'DLG', 2012, '44.00'),
(3560, 36, 'DLG', 2013, '47.00'),
(3561, 36, 'DLG', 2014, '49.00'),
(3562, 36, 'DLG', 2015, '60.00'),
(3563, 36, 'DLG', 2016, '71.00'),
(3564, 36, 'DLG', 2017, '82.00'),
(3565, 36, 'DLG', 2018, '93.00'),
(3566, 36, 'DLG', 2019, '104.00'),
(3567, 36, 'DLG', 2020, '115.00'),
(3568, 36, 'DLG', 2021, '126.00'),
(3569, 36, 'DLG', 2022, '137.00'),
(3570, 36, 'DLG', 2023, '149.00'),
(3571, 36, 'CSA', 2004, '16.00'),
(3572, 36, 'CSA', 2005, '16.00'),
(3573, 36, 'CSA', 2006, '17.00'),
(3574, 36, 'CSA', 2007, '18.00'),
(3575, 36, 'CSA', 2008, '18.00'),
(3576, 36, 'CSA', 2009, '18.00'),
(3577, 36, 'CSA', 2010, '19.00'),
(3578, 36, 'CSA', 2011, '20.00'),
(3579, 36, 'CSA', 2012, '20.00'),
(3580, 36, 'CSA', 2013, '20.00'),
(3581, 36, 'CSA', 2014, '21.00'),
(3582, 36, 'CSA', 2015, '23.00'),
(3583, 36, 'CSA', 2016, '25.00'),
(3584, 36, 'CSA', 2017, '27.00'),
(3585, 36, 'CSA', 2018, '29.00'),
(3586, 36, 'CSA', 2019, '31.00'),
(3587, 36, 'CSA', 2020, '33.00'),
(3588, 36, 'CSA', 2021, '35.00'),
(3589, 36, 'CSA', 2022, '37.00'),
(3590, 36, 'CSA', 2023, '39.00'),
(3591, 36, 'DCT', 2004, '10.00'),
(3592, 36, 'DCT', 2005, '16.00'),
(3593, 36, 'DCT', 2006, '23.00'),
(3594, 36, 'DCT', 2007, '29.00'),
(3595, 36, 'DCT', 2008, '35.00'),
(3596, 36, 'DCT', 2009, '42.00'),
(3597, 36, 'DCT', 2010, '48.00'),
(3598, 36, 'DCT', 2011, '54.00'),
(3599, 36, 'DCT', 2012, '61.00'),
(3600, 36, 'DCT', 2013, '67.00'),
(3601, 36, 'DCT', 2014, '73.00'),
(3602, 36, 'DCT', 2015, '99.00'),
(3603, 36, 'DCT', 2016, '123.00'),
(3604, 36, 'DCT', 2017, '148.00'),
(3605, 36, 'DCT', 2018, '173.00'),
(3606, 36, 'DCT', 2019, '198.00'),
(3607, 36, 'DCT', 2020, '223.00'),
(3608, 36, 'DCT', 2021, '247.00'),
(3609, 36, 'DCT', 2022, '272.00'),
(3610, 36, 'DCT', 2023, '296.00'),
(3611, 36, 'SDU', 2004, '26.00'),
(3612, 36, 'SDU', 2005, '33.00'),
(3613, 36, 'SDU', 2006, '40.00'),
(3614, 36, 'SDU', 2007, '47.00'),
(3615, 36, 'SDU', 2008, '55.00'),
(3616, 36, 'SDU', 2009, '62.00'),
(3617, 36, 'SDU', 2010, '69.00'),
(3618, 36, 'SDU', 2011, '76.00'),
(3619, 36, 'SDU', 2012, '83.00'),
(3620, 36, 'SDU', 2013, '91.00'),
(3621, 36, 'SDU', 2014, '98.00'),
(3622, 36, 'SDU', 2015, '113.00'),
(3623, 36, 'SDU', 2016, '128.00'),
(3624, 36, 'SDU', 2017, '142.00'),
(3625, 36, 'SDU', 2018, '157.00'),
(3626, 36, 'SDU', 2019, '172.00'),
(3627, 36, 'SDU', 2020, '186.00'),
(3628, 36, 'SDU', 2021, '201.00'),
(3629, 36, 'SDU', 2022, '215.00'),
(3630, 36, 'SDU', 2023, '229.00'),
(3631, 36, 'CUR', 2004, '11.00'),
(3632, 36, 'CUR', 2005, '25.00'),
(3633, 36, 'CUR', 2006, '39.00'),
(3634, 36, 'CUR', 2007, '53.00'),
(3635, 36, 'CUR', 2008, '68.00'),
(3636, 36, 'CUR', 2009, '82.00'),
(3637, 36, 'CUR', 2010, '96.00'),
(3638, 36, 'CUR', 2011, '110.00'),
(3639, 36, 'CUR', 2012, '124.00'),
(3640, 36, 'CUR', 2013, '139.00'),
(3641, 36, 'CUR', 2014, '153.00'),
(3642, 36, 'CUR', 2015, '164.00'),
(3643, 36, 'CUR', 2016, '175.00'),
(3644, 36, 'CUR', 2017, '185.00'),
(3645, 36, 'CUR', 2018, '196.00'),
(3646, 36, 'CUR', 2019, '207.00'),
(3647, 36, 'CUR', 2020, '217.00'),
(3648, 36, 'CUR', 2021, '228.00'),
(3649, 36, 'CUR', 2022, '238.00'),
(3650, 36, 'CUR', 2023, '248.00'),
(3651, 36, 'VBO', 2004, '5.00'),
(3652, 36, 'VBO', 2005, '16.00'),
(3653, 36, 'VBO', 2006, '26.00'),
(3654, 36, 'VBO', 2007, '36.00'),
(3655, 36, 'VBO', 2008, '46.00'),
(3656, 36, 'VBO', 2009, '57.00'),
(3657, 36, 'VBO', 2010, '67.00'),
(3658, 36, 'VBO', 2011, '77.00'),
(3659, 36, 'VBO', 2012, '88.00'),
(3660, 36, 'VBO', 2013, '98.00'),
(3661, 36, 'VBO', 2014, '108.00'),
(3662, 36, 'VBO', 2015, '119.00'),
(3663, 36, 'VBO', 2016, '130.00'),
(3664, 36, 'VBO', 2017, '141.00'),
(3665, 36, 'VBO', 2018, '152.00'),
(3666, 36, 'VBO', 2019, '163.00'),
(3667, 36, 'VBO', 2020, '174.00'),
(3668, 36, 'VBO', 2021, '185.00'),
(3669, 36, 'VBO', 2022, '196.00'),
(3670, 36, 'VBO', 2023, '206.00');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `clasificadorcomun`
--

CREATE TABLE `clasificadorcomun` (
  `IdClasificadorComun` int(11) NOT NULL,
  `IdTipoClasificadorComun` int(11) NOT NULL,
  `Nombre` varchar(100) NOT NULL,
  `Abreviacion` varchar(45) DEFAULT NULL,
  `Descripcion` varchar(100) DEFAULT NULL,
  `ValorExtra` varchar(255) DEFAULT NULL,
  `Orden` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `clasificadorcomun`
--

INSERT INTO `clasificadorcomun` (`IdClasificadorComun`, `IdTipoClasificadorComun`, `Nombre`, `Abreviacion`, `Descripcion`, `ValorExtra`, `Orden`) VALUES
(11, 1, 'Soltero(a)', 'Soltero', 'Define el estado civil, para personas solteros y solteras.', NULL, '1'),
(12, 1, 'Casado(a)', 'Casado', 'Define el estado civil, para personas casados y casadas.', NULL, '2'),
(13, 1, 'Divorciado(a)', 'Divorciado', 'Define el estado civil, para personas divorciados y divorciadas.', NULL, '3'),
(14, 1, 'Viudo(a)', 'Viudo', 'Define el estado civil, para personas viudos y viudas.', NULL, '4'),
(26, 3, 'En Construccion', 'EnConstruccion', 'Estado Proyecto', NULL, '1'),
(27, 3, 'Terminado', 'Terminado', 'Estado Proyecto', NULL, '2'),
(28, 5, 'Departamento', 'Departamento', 'mapa que contiene los departamentos', '/kmz/Departamento.kmz', NULL),
(29, 5, 'Municipios', 'Municipios', 'Tipo de mapa que contiene municipios', '/kmz/Municipios.kmz', NULL),
(30, 5, 'Distritos', 'Distritos', 'Tipo de mapa que contiene todos los municipios', '/kmz/Distritos.kmz', NULL),
(32, 4, 'Deficit Habitacional', 'DeficitHabitacional', 'Deficit Habitacional por departamento', NULL, NULL),
(33, 4, 'Poblacion mayores a 65', 'PoblacionMayoresA65', 'Poblacion mayores a 65', NULL, NULL),
(34, 4, 'Poblacion por año', 'PoblacionPorAO', 'Poblacion por Año', NULL, NULL),
(35, 4, 'm2 construidos en 2015', 'M2ConstruidosEn2015', 'm2 construidos por distritos en 2015', NULL, NULL),
(36, 4, 'PIB por departamento', 'PIBPorDepartamento', 'Muestra la variación del PIB de la construcción a nivel departamental', NULL, NULL),
(38, 4, 'Indice del Costo de Construcción', 'IndiceDelCostoDeConstrucciN', 'Datos del ICC a nivel departamental', NULL, NULL),
(39, 4, 'Densidad por municipio', 'DensidadPorMunicipio', 'Muestra la variación de la densidad en los municipios que conforman las regiones metropolitanas', NULL, NULL),
(40, 5, 'M40', 'M40', 'Tipo de mapa que contiene información sobre proyecto M40', '/kmz/M40.kmz', NULL),
(41, 4, 'Uso de suelo Equipetrol', 'UsoDeSueloEquipetrol', 'Información para el análisis del proyecto M40', NULL, NULL),
(42, 5, 'Estudio de plusvalia', 'EstudioDePlusvalia', 'Capa que muestra información del estudio de plusvalio de la ciudad de Santa Cruz', '/kmz/EstudioDePlusvalia.kmz', NULL),
(43, 4, 'Plusvalía Santa Cruz', 'PlusvalASantaCruz', 'Estudio de plusvalía para la ciudad de Santa Cruz, elaborado para el grupo G7', NULL, NULL),
(44, 5, 'Manzana - 40', 'Manzana40', 'Manzana - 40', '/kmz/URBANOVA.kmz', NULL),
(45, 4, 'Manzana - 40', 'Manzana40', 'Manzana - 40', NULL, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `empresa`
--

CREATE TABLE `empresa` (
  `IdEmpresa` int(11) NOT NULL,
  `IdRepresentanteLegal` int(11) NOT NULL,
  `ActividadEconomica` varchar(150) DEFAULT NULL,
  `RazonSocial` varchar(100) NOT NULL,
  `Direccion` varchar(255) DEFAULT NULL,
  `Telefonos` varchar(255) DEFAULT NULL,
  `Emails` varchar(255) DEFAULT NULL,
  `PaginaWeb` varchar(100) DEFAULT NULL,
  `Nota` text,
  `Activo` bit(1) DEFAULT b'1' COMMENT 'Establece que una empresa este activo en la empresa',
  `IdCreadoPor` int(11) DEFAULT NULL,
  `FechaCreacion` datetime DEFAULT NULL,
  `IdModificadoPor` int(11) DEFAULT NULL,
  `FechaModificacion` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `empresa`
--

INSERT INTO `empresa` (`IdEmpresa`, `IdRepresentanteLegal`, `ActividadEconomica`, `RazonSocial`, `Direccion`, `Telefonos`, `Emails`, `PaginaWeb`, `Nota`, `Activo`, `IdCreadoPor`, `FechaCreacion`, `IdModificadoPor`, `FechaModificacion`) VALUES
(1, 5, 'construccion', 'Magestic', ' 	Av. Ayacucho N° 465 Edif. Rosario, 3er Piso, zona Central', '70720985 \r\n(591-4) 	4524641 ', 'segenamagno@hotmail.com ', 'www.magestic.web.bo ', 'Dirección: 	Av. Ayacucho N° 465 Edif. Rosario, 3er Piso, zona Central', b'1', 1, '2016-07-20 19:48:24', NULL, NULL),
(2, 6, 'constructora', 'CODESA', 'Av. Irala Nº 421, zona 1er Anillo', 'Teléfono: (591-3) 	3396853	\r\nFax: 	3396854 ', '', 'www.ciudaddeleste.com.bo', '', b'1', 1, '2016-07-20 19:50:10', NULL, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `imagen`
--

CREATE TABLE `imagen` (
  `IdImagen` int(11) NOT NULL,
  `IdProyecto` int(11) NOT NULL,
  `descripcion` varchar(255) DEFAULT NULL,
  `Filename` varchar(255) DEFAULT NULL,
  `CreadoPor` int(11) DEFAULT NULL,
  `FechaCreacion` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `imagen`
--

INSERT INTO `imagen` (`IdImagen`, `IdProyecto`, `descripcion`, `Filename`, `CreadoPor`, `FechaCreacion`) VALUES
(1, 56, NULL, '/proyecto/f94dce320178855342c819d266937f1c3f382c12', 2, '2016-08-31 21:45:23'),
(2, 56, NULL, '/proyecto/dd7add7071ae2ef9095f805f1baaef6791814575', 2, '2016-08-31 21:45:39'),
(3, 56, NULL, '/proyecto/ecd1900c94a1e2fed4a6811d14540cc1aab42d99', 2, '2016-08-31 21:45:58'),
(4, 56, NULL, '/proyecto/c0c9dd043af52e245b409db6f872ef7318923b5a', 2, '2016-08-31 21:46:09'),
(5, 3, NULL, '/proyecto/2148d0e0d388e66bc5eb56261f82eac158e8d1f0', 5, '2016-09-01 13:44:11'),
(14, 3, NULL, '/proyecto/73d8aff7d087dac6e193f781f38c4a52ea70ae97', 5, '2016-09-01 16:31:09'),
(16, 3, NULL, '/proyecto/ae4701bb1358d561d8ac162ed30299552a31debb', 5, '2016-09-01 16:31:54'),
(17, 3, NULL, '/proyecto/39f3d45efaa394640405628e50693555e9282b9e', 5, '2016-09-01 16:32:23'),
(18, 41, NULL, '/proyecto/e0226b054d8388bae00a2807d4ad712330e01dd2', 5, '2016-09-01 18:31:35'),
(19, 42, NULL, '/proyecto/28bba95e25fa299672790df0790fbd09278e4e0a', 5, '2016-09-01 18:32:44'),
(20, 54, NULL, '/proyecto/65d9ebc864fccebdfad3dc3f217149cf7b025bb3', 5, '2016-09-01 18:34:11'),
(21, 55, NULL, '/proyecto/c87c02a708bb06b083b0de50fb95c05f88cfdbc4', 5, '2016-09-01 18:34:37'),
(22, 50, NULL, '/proyecto/8afcbd7e3892fb223871272b682d1e6dbe111e7f', 5, '2016-09-01 18:35:52'),
(23, 53, NULL, '/proyecto/ad51b96ec120976c6bc645fc1a2e933185b74ce5', 5, '2016-09-01 18:36:26'),
(24, 57, NULL, '/proyecto/73fcbff1ceb07c9ccc740a83f6e5452e257291f8', 5, '2016-09-01 18:36:49'),
(25, 40, NULL, '/proyecto/72968f1e6c9b95bb967a3cf2e0bd4c50d5f98637', 5, '2016-09-01 18:38:27'),
(26, 45, NULL, '/proyecto/fe0ef4c549b6451e4e1a8d87834fd651c7bada86', 5, '2016-09-02 20:01:17'),
(27, 43, NULL, '/proyecto/21b98c59a2226bcd82b0e87f9a46d151e84f183b', 5, '2016-09-02 20:01:56'),
(28, 52, NULL, '/proyecto/d4bf5fee10c27a33553ba63e4f8407de87e7373d', 5, '2016-09-02 20:03:31'),
(29, 44, NULL, '/proyecto/166d594ea1863109165864545f106c968bd7541b', 5, '2016-09-02 20:14:58'),
(30, 51, NULL, '/proyecto/e20aff066587d8d33790b4228ab8661f2b2a29cb', 5, '2016-09-02 20:16:10'),
(31, 6, NULL, '/proyecto/cd800cb3d26075a2c7f6aaa0aaf92e9a3a2dc77d', 5, '2016-09-19 19:54:57');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `persona`
--

CREATE TABLE `persona` (
  `IdPersona` int(11) NOT NULL,
  `Nombres` varchar(45) DEFAULT NULL COMMENT 'nombre o razon Social',
  `Apellidos` varchar(45) DEFAULT NULL,
  `CiNit` varchar(45) DEFAULT NULL,
  `Email` varchar(60) DEFAULT NULL,
  `Direccion` varchar(150) DEFAULT NULL,
  `Telefonos` varchar(255) DEFAULT NULL,
  `IdCreadoPor` int(11) DEFAULT NULL,
  `IdcEstadoCivil` int(11) DEFAULT NULL,
  `FechaNacimiento` datetime DEFAULT NULL,
  `FechaCreacion` datetime DEFAULT NULL,
  `IdModificadoPor` int(11) DEFAULT NULL COMMENT 'Establece que un Persona este activo en el sistema',
  `FechaModificacion` datetime DEFAULT NULL,
  `Activo` bit(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `persona`
--

INSERT INTO `persona` (`IdPersona`, `Nombres`, `Apellidos`, `CiNit`, `Email`, `Direccion`, `Telefonos`, `IdCreadoPor`, `IdcEstadoCivil`, `FechaNacimiento`, `FechaCreacion`, `IdModificadoPor`, `FechaModificacion`, `Activo`) VALUES
(1, 'Admin', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, b'1'),
(2, 'Jaime', 'Centellas', '123123123', 'jaime@dreamers-soft.com', 'Av Bush Edif Arkansas Of 9', '73028607', 1, 12, '1978-12-20 00:00:00', NULL, 2, '2016-08-23 18:42:09', b'1'),
(3, 'Pedro', 'Loz', '6665543', '', 'av No. 23 ', '44332312', 1, 12, '2000-03-08 00:00:00', NULL, 2, '2016-07-20 20:24:44', b'1'),
(4, 'Rolando', 'Paredes', '215432', 'rolo@gmail.com', 'Av. cruz del norte No. 3', '125479', 1, 12, '1870-02-10 00:00:00', NULL, NULL, '2016-07-20 19:36:46', b'1'),
(5, 'Florentina', 'Aspiazu', '45587', 'flor@gmail.com', '', '', 1, 11, NULL, '2016-07-20 19:39:59', NULL, NULL, b'1'),
(6, 'Fernando', 'Casimiro', '2334', 'casimiro@gmail.com', 'calle corralles No. 3', '1122354 ', 1, 13, '1990-02-03 00:00:00', '2016-07-20 19:41:45', 1, '2016-07-20 19:42:50', b'1'),
(7, 'Marcelo', 'Goyzueta', '', 'mgoyzueta@panamericansafi.com', 'Av. del Maestro #480', '65577393', 2, 11, NULL, '2016-08-05 18:02:08', NULL, NULL, b'1'),
(8, 'Gonzalo', 'Marquez', '', 'gmarquez@fibra.com.bo', '', '', 2, NULL, NULL, '2016-08-11 18:08:56', 2, '2016-08-11 18:09:33', b'1'),
(9, 'Eduardo', 'Toro', '15975311', 'etoro@fibra.com.bo', '', '', 2, 11, NULL, '2016-08-23 18:49:53', NULL, NULL, b'1'),
(10, 'Mateo', 'Carrasco', '', '', '', '', 2, 11, NULL, '2016-08-23 18:53:58', NULL, NULL, b'1'),
(11, 'Carla', 'Loroña', '', 'clorona@datasourcesrl.com', 'DataSource SRL', '', 2, 11, NULL, '2016-09-01 16:56:25', NULL, NULL, b'1');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `proyecto`
--

CREATE TABLE `proyecto` (
  `IdProyecto` int(11) NOT NULL,
  `NombreProyecto` varchar(250) NOT NULL,
  `IdcEstadoProyecto` int(11) DEFAULT NULL,
  `Latitud` decimal(17,13) DEFAULT NULL,
  `Longitud` decimal(17,13) DEFAULT NULL,
  `Descripcion` text,
  `LinkExcel` varchar(255) DEFAULT NULL,
  `MapZoom` tinyint(2) DEFAULT NULL,
  `IdCreadoPor` int(11) DEFAULT NULL,
  `FechaCreacion` datetime DEFAULT NULL,
  `IdModificadoPor` int(11) DEFAULT NULL COMMENT 'jhjj',
  `FechaModificacion` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `proyecto`
--

INSERT INTO `proyecto` (`IdProyecto`, `NombreProyecto`, `IdcEstadoProyecto`, `Latitud`, `Longitud`, `Descripcion`, `LinkExcel`, `MapZoom`, `IdCreadoPor`, `FechaCreacion`, `IdModificadoPor`, `FechaModificacion`) VALUES
(1, 'Forno', NULL, '-16.4850000000000', '-68.1421000000000', 'Terreno de 22,926 m2 en excelente ubicación en la Zona Achachicala en la ciudad de La Paz', '', 15, 5, '2016-08-11 10:28:52', 2, '2016-08-31 18:07:27'),
(2, 'Urbanova', NULL, NULL, NULL, 'Casas vivienda social, asociación con Graña y Montero', '', NULL, 5, '2016-08-11 10:28:52', 2, '2016-08-11 16:04:34'),
(3, 'Manzana 40', NULL, '-17.7573795646471', '-63.1996698505402', 'Dos torres de alta gama de 29 plantas y un sotano cada una', 'https://www.dropbox.com/s/i3a3b64te3xojhf/EV%20Manzana%2040.docx?dl=0', 17, 5, '2016-08-11 10:28:52', 5, '2016-09-01 12:30:43'),
(4, 'Shalom', NULL, '-16.5241000000000', '-68.1111000000000', 'Edificio de 32 plantas de 20,008 m2 construídos sobre lote de 2,409.39 m2 de lote situado en calle 4 de Obrajes esquina Av. Ballivian', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(5, 'NH3 y Korban', NULL, '-17.7683044691504', '-63.1939816474915', '200 departamentos en 2 torres, una ya está prevendida', '', 16, 5, '2016-08-11 10:28:52', 1, '2016-08-18 14:01:47'),
(6, 'Inmoba', NULL, '-17.7378550603260', '-63.1642413139343', 'Condominio Los Jazmines del Parque.  1 torre de departamentos de 11 niveles.  5,907 m2 de construcción.', '', 15, 5, '2016-08-11 10:28:52', 5, '2016-08-24 10:31:42'),
(7, 'TempoRent', NULL, NULL, NULL, 'Promoción y explotación de un edificio de unidades habitacionales de aprox. 20 m2 destinada a alquileres por periodos cortos.', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(8, 'Suant', NULL, NULL, NULL, '5300 deptos', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(9, 'Meta Venta y Villa Verde', NULL, NULL, NULL, 'Condominio de 14 bloques de 7 plantas, departamentos de 3D de 130 m2', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(10, 'Sergio Arce', NULL, NULL, NULL, '23 deptos por el remanso', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(11, 'La Fuente', NULL, NULL, NULL, 'Nueva Santa Cruz', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(12, 'Marco Salinas y Alejandro Serrate', NULL, NULL, NULL, 'Varios edificios de oficinas y departamentos', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(13, 'Juan Despot', NULL, NULL, NULL, 'Casas en Koani, 25 hectareas, 800 deptos de 24K a 99K, casas pareadas 114K, terrenos.  Primera etapa 10MM', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(14, 'Potosí del Sur', NULL, NULL, NULL, 'Proyecto de construcción de 50 casas en Trinidad, a un valor de 47,000 c/u.  Total de terreno 670,000 m2.', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(15, 'Niemeyer - Claveles del sur', NULL, NULL, NULL, 'Desarrollo de gran cantidad de unidades de tipo vivienda social (aprox. 550 unidades) en bloques de aprox. 5 pisos cada uno en Achumani', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(16, 'Viacha', NULL, NULL, NULL, 'Proyecto de urbanización para desarrollo de viviendas sociales en terreno de 40,000 m2 situado en la Carretera La Paz-Viacha, Zona Viliroco', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(17, 'Lomas de Aranjuez', NULL, NULL, NULL, '90 lotes de 400 m2 c/u', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(18, 'G7 Portones del Urubó', NULL, NULL, NULL, '150 casas', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(19, 'Terrazas_Aranjuez', NULL, NULL, NULL, '90 deptos Aranjuez', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(20, 'Concrefor', NULL, NULL, NULL, '884 deptos en 33 edificios', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(21, 'Edificio Itati', NULL, NULL, NULL, NULL, NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(22, 'Torre Berchati Hamacas ', NULL, '-17.7499128283335', '-63.1682217121124', 'Edificio de departamentos de 1, 2 y 3 habitaciones de 12 pisos con parqueos y bauleras.', '', 16, 5, '2016-08-11 10:28:52', 5, '2016-09-30 11:56:43'),
(23, 'Edificio en la calle 9 de Calacoto', NULL, NULL, NULL, NULL, NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(24, 'Condominio en Villa verde', NULL, NULL, NULL, NULL, NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(25, 'MDU Inversiones', NULL, NULL, NULL, 'Urbanización de terrenos en el Urubó y el Norte ', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(26, 'Edificio en El Alto', NULL, NULL, NULL, 'Edificio en fase de construcción en Ciudad Satélite.  La obra tiene 90% de avance en obra gruesa, 30% de avance en obra fina, 80% de avance en obras sanitarias y 20% de avance en instalaciones electricas.   ', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(27, 'George Satt', NULL, NULL, NULL, NULL, NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(28, 'Soboce', NULL, NULL, NULL, '15000 casas', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(29, 'GIT Inmologística', NULL, NULL, NULL, 'Parque logístico', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(30, 'Hotel temporal', NULL, NULL, NULL, 'Dos torres de edificios que funcionará bajo la misma modalidad del Radisson.  ', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(31, 'SOKOLMET', NULL, NULL, NULL, '280 departamentos en Achumani, edificios parados en obra gruesa y 176 departamentos detras hipermaxi achumani', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(32, 'Condominio Gabriel Rene Moreno', NULL, NULL, NULL, '472 departamentos de 140.09 m2 en 59 bloques', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(33, 'Condominio San Francisco Xavier', NULL, NULL, NULL, '208 departamentos de 140.09m2 en 26 bloques', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(34, 'Ciudad empresarial - World Trade Center', NULL, '-16.5199594565401', '-68.1155587142944', 'Desarrollo de 5 torres con mix de oficinas y áreas comerciales principalmente.  Torre 1 y 2 de 50 plantas y 20-35 plantas. Y las restantes en aproximadamente 20 plantas destinadas a vivienda.  Centro Comercial.  4000 parqueos.  En total se estima más de 350,000 m2 ', '', 17, 5, '2016-08-11 10:28:52', 5, '2016-08-19 11:05:22'),
(35, 'Casa de Campo', NULL, '-17.6857000000000', '-63.1601000000000', 'Comercialización de lotes y de viviendas concluídas.  Tamaño de 143 ha.  Cancha de golf 18 hoyos ya construída.  Centro comercial.  Fase de desarrollo avanzada', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(36, 'Tiquipaya', NULL, '-17.3280000000000', '-66.2280000000000', 'Desarollo en fase cero.  Aproximadamente 46 ha.  Area habitacional de casas pareadas.  Area de viviendas unifamiliares de lujo.  Centro comercial de 26,000 + 16,000 m2.  Av. Circunvalación atraviesa la propiedad.    ', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(37, 'Turupaya', NULL, '-17.3643000000000', '-66.1342000000000', 'Terreno de 71.4 ha en zona de alta gama.  Cruza la av. Circunvalación por el terreno dando buena conexión al mismo.  Se apunta a hacer viviendas unifamiliares de gama media - alta.', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(38, 'Centro comercial Ecuador', NULL, '-17.7844000000000', '-63.2202000000000', 'Terreno dirigido a la construcción de un shopping mall.  Aproximadamente 3.12 ha.  Asociación con empresa especializada \"Centros Comerciales del Ecuador\".  Terreno de 25 MM.  A 800$/m2.', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(39, 'Edificio Comercial El Alto', NULL, '-16.5091000000000', '-68.1635000000000', 'Edificio de 12 pisos, en avenida 6 de marzo de El Alto entre calles 4 y 5, lado banco Mercantil Santa Cruz, con salida a calle Jorge Carrasco.  Edificio en venta que genera 15,000 al mes, decision familiar de vender todo el bien a mejor oferta.  Edificio con un año y medio de funcionamiento.', NULL, NULL, 5, '2016-08-11 10:28:52', 5, '2016-08-11 10:28:52'),
(40, 'Torre Duo', NULL, '-17.7556553103028', '-63.1980317831039', 'Centro empresarial de 25 pisos, con 86 oficinas ejecutivas, 280 parqueos separados en otra torre.', '', 17, 2, '2016-08-12 01:20:39', 2, '2016-08-12 01:23:30'),
(41, 'Centro empresarial Equipetrol', NULL, '-17.7565697988735', '-63.2410892844200', '', '', 13, 2, '2016-08-12 01:20:39', 5, '2016-10-18 15:49:19'),
(42, 'Torre de negocios alas', NULL, '-17.7587410518958', '-63.2384553551674', 'Torre de negocios de 16 pisos, 98 parqueos distribuidos en 2 subsuelos', '', 14, 2, '2016-08-12 01:20:39', 5, '2016-10-18 15:48:48'),
(43, 'Condominio Vivaldi', NULL, '-17.7092461508497', '-63.1743465516205', 'URBANOVA. 2 bloques de edificios, 69 departamentos, monoambientes, 1, 2 y 3 dormitorios', '', 17, 2, '2016-08-12 15:12:51', 2, '2016-08-12 15:50:17'),
(44, 'Condominio privado Matisse', NULL, '-17.7112709827864', '-63.1742654629822', 'URBANOVA.  11 casas de dos pisos.', '', 17, 2, '2016-08-12 15:12:51', 2, '2016-08-12 15:50:45'),
(45, 'Condominio privado Mozart', NULL, '-17.7092346290110', '-63.1750153293915', 'URBANOVA.  Departamentos de diversas características', '', 17, 2, '2016-08-12 15:12:51', 2, '2016-08-12 15:51:09'),
(46, 'Beethoven 1, 2 y 3', NULL, '-17.7102274742117', '-63.1752945423279', 'URBANOVA.  Fase 1: Desarrollo de dos edificios de 12 plantas con 148 departamentos.\r\nFase 2: Desarrollo de dos edificios de 12 plantas con 148 departamentos.\r\nFase 3: Desarrollo de tres edificios de 12 plantas con 216 departamentos.', '', 16, 2, '2016-08-12 15:12:51', 2, '2016-08-12 15:51:40'),
(47, 'Edificio músicos', NULL, '-17.7098500000000', '-63.1743230000000', 'URBANOVA.  Desarrollo de un edificio de 10 plantas con 48 departamentos y valores agregados en Condominio Cerrado.', '', 17, 2, '2016-08-12 15:12:51', 2, '2016-08-12 15:52:03'),
(48, 'Edificio pintores', NULL, '-17.7098276611702', '-63.1718683300247', 'URBANOVA.  Desarrollo de un edificio de 6 plantas con 21 departamentos y valores agregados en Condominio Cerrado.', '', 18, 2, '2016-08-12 15:12:51', 2, '2016-08-12 15:52:20'),
(49, 'Van Gogh', NULL, '-17.7106530000000', '-63.1738660000000', 'URBANOVA.  Desarrollo de un edificio de 6 plantas con 21 departamentos y valores agregados en Condominio Cerrado.\r\n', '', 18, 2, '2016-08-12 15:12:51', 2, '2016-08-12 15:52:37'),
(50, 'Costanera Blue', NULL, '-17.7460809985562', '-63.1956928968430', 'Dos torres de edificios que funcionará bajo la misma modalidad del Radisson.  ', '', 16, 5, '2016-08-19 12:11:44', 5, '2016-08-23 15:24:51'),
(51, 'MCMV - Condominio Papa Francisco', NULL, '-17.6095410000000', '-63.0965820000000', '', '', 15, 5, '2016-08-22 11:54:58', 5, '2016-08-22 11:59:54'),
(52, 'MCMV - Condominio Patuju', NULL, '-17.5827230000000', '-63.1156370000000', '', '', 16, 5, '2016-08-22 11:54:58', 5, '2016-08-22 12:17:40'),
(53, 'Torre Link', NULL, '-17.7781738698302', '-63.2158684730530', 'Edificio de 12 niveles. 42 oficinas. 4 Niveles de parqueo.', '', 17, 5, '2016-08-23 15:31:50', 5, '2016-08-23 15:44:06'),
(54, 'Edificio Cubo', NULL, '-17.7516907694902', '-63.2369157671929', '', '', 13, 5, '2016-08-23 15:31:50', 5, '2016-10-18 15:47:07'),
(55, 'Edificio Cubo II', NULL, '-17.7515936984461', '-63.2473441958427', '', '', 13, 5, '2016-08-23 15:31:50', 5, '2016-10-18 15:46:43'),
(56, 'Urubo Business Center - Radisson', NULL, '-17.7514915183428', '-63.2165417075157', '', '', 16, 5, '2016-08-23 15:31:50', 1, '2016-09-19 12:09:51'),
(57, 'Torres del Poeta', NULL, '-16.5090716246545', '-68.1229859590530', 'Edificio de 8 pisos de oficina en torres del poeta.  Cada planta de aproximadamente 600 m2', '', 17, 5, '2016-08-31 16:03:52', 5, '2016-08-31 16:11:15');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `proyectodetalle`
--

CREATE TABLE `proyectodetalle` (
  `IdProyectoDetalle` int(11) NOT NULL,
  `IdProyecto` int(11) NOT NULL,
  `Campo` varchar(200) DEFAULT NULL,
  `Valor` longtext
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `proyectodetalle`
--

INSERT INTO `proyectodetalle` (`IdProyectoDetalle`, `IdProyecto`, `Campo`, `Valor`) VALUES
(1, 1, 'Prioridad', '1'),
(2, 1, '$ total', '20'),
(3, 1, 'Ciudad', 'LPZ'),
(4, 1, 'Interlocutor', 'Mateo Carrasco'),
(5, 1, 'Contacto', 'Tito Forno'),
(6, 1, 'Fase 1', 'Pendiente'),
(7, 1, 'Fase 2', 'Pendiente'),
(8, 1, 'Comentarios', 'Generar un reporte de los siguientes hitos, costos y tiempos.'),
(9, 1, 'Actualizado por', 'Marcelo Goyzueta'),
(10, 1, 'Fecha ', '07-27-16'),
(11, 2, 'Prioridad', '1'),
(12, 2, '$ total', '20'),
(13, 2, 'Ciudad', 'SCZ'),
(14, 2, 'Interlocutor', 'Gonzalo Márquez'),
(15, 2, 'Contacto', 'Jorge Bellido CFO, Adolfo Valenzuela CEO, Jaime Dunn'),
(16, 2, 'Fase 1', 'Pendiente'),
(17, 2, 'Fase 2', 'Pendiente'),
(18, 2, 'Comentarios', 'Ellos harán una propuesta en base a la última reunión con Jaime Dunn.'),
(19, 2, 'Actualizado por', 'Marcelo Goyzueta'),
(20, 2, 'Fecha ', '07-27-16'),
(21, 3, 'Prioridad', '1'),
(22, 3, '$ total', '45'),
(23, 3, 'Ciudad', 'SCZ'),
(24, 3, 'Interlocutor', 'Eduardo Toro'),
(25, 3, 'Contacto', 'Cristian Jofre, Boris Marinkovic, Claudio Fernandez'),
(26, 3, 'Fase 1', 'Pendiente'),
(27, 3, 'Fase 2', 'Pendiente'),
(28, 3, 'Comentarios', 'Llamar a Claudio y coordinar la información que se necesita para evaluar el proyecto.'),
(29, 3, 'Actualizado por', 'Marcelo Goyzueta'),
(30, 3, 'Fecha ', '07-27-16'),
(31, 4, 'Prioridad', '1'),
(32, 4, '$ total', '14'),
(33, 4, 'Ciudad', 'LPZ'),
(34, 4, 'Interlocutor', 'Mateo Carrasco'),
(35, 4, 'Contacto', 'Ing. Grandi y Directorio adjudicatarios'),
(36, 4, 'Fase 1', 'Pendiente'),
(37, 4, 'Fase 2', 'Pendiente'),
(38, 4, 'Comentarios', 'Realizar un análisis de factibilidad preliminar, y enviar términos de acuerdo al socio elaborado por Javier Urcullo'),
(39, 4, 'Actualizado por', 'Marcelo Goyzueta'),
(40, 4, 'Fecha ', '07-27-16'),
(41, 5, 'Prioridad', '1'),
(42, 5, '$ total', '10'),
(43, 5, 'Ciudad', 'SCZ'),
(44, 5, 'Interlocutor', 'Eduardo Toro'),
(45, 5, 'Contacto', 'Claudia Arias, Carlos Enrique Robles, Carlos Alberto Saucedo (inv. De impacto), Germán Taborga (Korbán)'),
(46, 5, 'Fase 1', 'Pendiente'),
(47, 5, 'Fase 2', 'Pendiente'),
(48, 5, 'Comentarios', 'Se esta coordinando el flujo de información con Claudia Arias, a la espera de una respuesta.'),
(49, 5, 'Actualizado por', 'Marcelo Goyzueta'),
(50, 5, 'Fecha ', '07-27-16'),
(51, 6, 'Prioridad', '1'),
(52, 6, '$ total', ''),
(53, 6, 'Ciudad', 'SCZ'),
(54, 6, 'Interlocutor', 'Eduardo Toro'),
(55, 6, 'Contacto', 'Alejandro Barja y Sergio Solis'),
(56, 6, 'Fase 1', 'Pendiente'),
(57, 6, 'Fase 2', 'Pendiente'),
(58, 6, 'Comentarios', ''),
(59, 6, 'Actualizado por', ''),
(60, 6, 'Fecha ', ''),
(61, 7, 'Prioridad', '2'),
(62, 7, '$ total', '4'),
(63, 7, 'Ciudad', 'LPZ'),
(64, 7, 'Interlocutor', 'Eduardo Toro'),
(65, 7, 'Contacto', 'Guillermo Prommel'),
(66, 7, 'Fase 1', 'Pendiente'),
(67, 7, 'Fase 2', 'Pendiente'),
(68, 7, 'Comentarios', 'A la espera de recibir información por parte de Guillermo.'),
(69, 7, 'Actualizado por', 'Marcelo Goyzueta'),
(70, 7, 'Fecha ', '07-27-16'),
(71, 8, 'Prioridad', '2'),
(72, 8, '$ total', '250'),
(73, 8, 'Ciudad', 'SCZ'),
(74, 8, 'Interlocutor', 'Gonzalo Márquez'),
(75, 8, 'Contacto', 'Jaime Dunn / Rodrigo Suarez'),
(76, 8, 'Fase 1', 'Pendiente'),
(77, 8, 'Fase 2', 'Pendiente'),
(78, 8, 'Comentarios', 'Ellos nos harán una propuesta en base a la última reunión con Jaime Dunn '),
(79, 8, 'Actualizado por', 'Marcelo Goyzueta'),
(80, 8, 'Fecha ', '07-27-16'),
(81, 9, 'Prioridad', '2'),
(82, 9, '$ total', '15'),
(83, 9, 'Ciudad', 'LPZ'),
(84, 9, 'Interlocutor', 'Eduardo Toro'),
(85, 9, 'Contacto', 'Galo Saravia'),
(86, 9, 'Fase 1', 'Pendiente'),
(87, 9, 'Fase 2', 'Pendiente'),
(88, 9, 'Comentarios', 'A la espera de recibir información de Galo Saravia.'),
(89, 9, 'Actualizado por', 'Marcelo Goyzueta'),
(90, 9, 'Fecha ', '07-27-16'),
(91, 10, 'Prioridad', '2'),
(92, 10, '$ total', '4'),
(93, 10, 'Ciudad', 'SCZ'),
(94, 10, 'Interlocutor', 'Gonzalo Márquez'),
(95, 10, 'Contacto', 'Sergio Arce Imcruz'),
(96, 10, 'Fase 1', 'Pendiente'),
(97, 10, 'Fase 2', 'Pendiente'),
(98, 10, 'Comentarios', ''),
(99, 10, 'Actualizado por', ''),
(100, 10, 'Fecha ', ''),
(101, 11, 'Prioridad', '2'),
(102, 11, '$ total', '3500'),
(103, 11, 'Ciudad', 'SCZ'),
(104, 11, 'Interlocutor', 'Gonzalo Márquez'),
(105, 11, 'Contacto', 'Miguel Papadopulos y Luis Castañeda'),
(106, 11, 'Fase 1', 'Pendiente'),
(107, 11, 'Fase 2', 'Pendiente'),
(108, 11, 'Comentarios', ''),
(109, 11, 'Actualizado por', ''),
(110, 11, 'Fecha ', ''),
(111, 12, 'Prioridad', '2'),
(112, 12, '$ total', ''),
(113, 12, 'Ciudad', 'SCZ y LPZ'),
(114, 12, 'Interlocutor', 'Gonzalo Márquez'),
(115, 12, 'Contacto', 'Alejandro Serrate, Marco Salinas, Otul'),
(116, 12, 'Fase 1', 'Pendiente'),
(117, 12, 'Fase 2', 'Pendiente'),
(118, 12, 'Comentarios', 'Enviar NDA'),
(119, 12, 'Actualizado por', 'Marcelo Goyzueta'),
(120, 12, 'Fecha ', '07-27-16'),
(121, 13, 'Prioridad', '2'),
(122, 13, '$ total', ''),
(123, 13, 'Ciudad', 'LPZ'),
(124, 13, 'Interlocutor', 'Gonzalo Márquez'),
(125, 13, 'Contacto', 'Referido por Enrique Herrera'),
(126, 13, 'Fase 1', 'Pendiente'),
(127, 13, 'Fase 2', 'Pendiente'),
(128, 13, 'Comentarios', 'Evaluar proyecto.  Se envió email el 26 de Julio'),
(129, 13, 'Actualizado por', 'Marcelo Goyzueta'),
(130, 13, 'Fecha ', '07-27-16'),
(131, 14, 'Prioridad', 'D'),
(132, 14, '$ total', '7'),
(133, 14, 'Ciudad', 'BEN'),
(134, 14, 'Interlocutor', 'Gonzalo Márquez'),
(135, 14, 'Contacto', 'Gerardo Polo / Oscar Mattaz'),
(136, 14, 'Fase 1', 'Pendiente'),
(137, 14, 'Fase 2', 'Pendiente'),
(138, 14, 'Comentarios', 'La constructora es el prestamista y está abierta a una estructura de financiamiento deuda/capital.  La constructora corre el riesgo que es 100% privado.  No es una urbanización cerrada.  Todos los lotes estan saneados e individualmente registrados.  La constructora actualmente tiene en construcción 400 viviendas sociales cerca de Oruro y Laja. '),
(139, 14, 'Actualizado por', 'Marcelo Goyzueta'),
(140, 14, 'Fecha ', '08-09-16'),
(141, 15, 'Prioridad', 'D'),
(142, 15, '$ total', ''),
(143, 15, 'Ciudad', 'LPZ'),
(144, 15, 'Interlocutor', 'Gonzalo Márquez'),
(145, 15, 'Contacto', 'Jorge Iriarte'),
(146, 15, 'Fase 1', 'Pendiente'),
(147, 15, 'Fase 2', 'Pendiente'),
(148, 15, 'Comentarios', ''),
(149, 15, 'Actualizado por', ''),
(150, 15, 'Fecha ', ''),
(151, 16, 'Prioridad', 'D'),
(152, 16, '$ total', '3'),
(153, 16, 'Ciudad', 'LPZ'),
(154, 16, 'Interlocutor', 'Eduardo Toro'),
(155, 16, 'Contacto', 'Victor Cossío / Juan Carlos Canelas'),
(156, 16, 'Fase 1', 'Pendiente'),
(157, 16, 'Fase 2', 'Pendiente'),
(158, 16, 'Comentarios', 'El predio se encuentra en una zona muy alejada y sin consolidar'),
(159, 16, 'Actualizado por', 'Marcelo Goyzueta'),
(160, 16, 'Fecha ', '07-27-16'),
(161, 17, 'Prioridad', 'D'),
(162, 17, '$ total', '3'),
(163, 17, 'Ciudad', 'LPZ'),
(164, 17, 'Interlocutor', 'Gonzalo Márquez'),
(165, 17, 'Contacto', 'Victor Cossío / Juan Carlos Canelas'),
(166, 17, 'Fase 1', 'Pendiente'),
(167, 17, 'Fase 2', 'Pendiente'),
(168, 17, 'Comentarios', 'El proyecto no está en una zona consolidada y requiere de una inversión considerable en vías y servicios'),
(169, 17, 'Actualizado por', 'Marcelo Goyzueta'),
(170, 17, 'Fecha ', '07-27-16'),
(171, 18, 'Prioridad', 'D'),
(172, 18, '$ total', ''),
(173, 18, 'Ciudad', 'SCZ'),
(174, 18, 'Interlocutor', 'Gonzalo Márquez'),
(175, 18, 'Contacto', 'Jorge Ortiz'),
(176, 18, 'Fase 1', 'Pendiente'),
(177, 18, 'Fase 2', 'Pendiente'),
(178, 18, 'Comentarios', 'El proyecto fué desechado por la ubicación alejada para la construcción de casas. Pedro Gutierrez es el dueño (10,000 clientes y 2,500 hectáreas).  G7 consiste en 26 urbanizaciones, 6 de las cuáles estan en desarrollo.  Los tres proyectos para los que se está buscando inversión son un edificio corporativo en la Avenida San Martín, Casas populares y el desarrollo de Puerto Esmeralda (IES también estaba detrás de esto)       '),
(179, 18, 'Actualizado por', 'Marcelo Goyzueta'),
(180, 18, 'Fecha ', '07-27-16'),
(181, 19, 'Prioridad', 'D'),
(182, 19, '$ total', '20'),
(183, 19, 'Ciudad', 'LPZ'),
(184, 19, 'Interlocutor', 'Gonzalo Márquez'),
(185, 19, 'Contacto', 'Carlos España'),
(186, 19, 'Fase 1', 'Pendiente'),
(187, 19, 'Fase 2', 'Pendiente'),
(188, 19, 'Comentarios', 'El proyecto se encuentra en una etapa de rediseño'),
(189, 19, 'Actualizado por', 'Marcelo Goyzueta'),
(190, 19, 'Fecha ', '07-27-16'),
(191, 20, 'Prioridad', 'D'),
(192, 20, '$ total', ''),
(193, 20, 'Ciudad', 'SCZ'),
(194, 20, 'Interlocutor', 'Gonzalo Márquez'),
(195, 20, 'Contacto', 'Richard Herela / Pedro Zenteno'),
(196, 20, 'Fase 1', 'Pendiente'),
(197, 20, 'Fase 2', 'Pendiente'),
(198, 20, 'Comentarios', 'El promotor quedó en presentarnos un proyecto en la zona norte de Santa Cruz cuando lo tenga listo'),
(199, 20, 'Actualizado por', 'Marcelo Goyzueta'),
(200, 20, 'Fecha ', '07-27-16'),
(201, 21, 'Prioridad', 'D'),
(202, 21, '$ total', ''),
(203, 21, 'Ciudad', 'SCZ'),
(204, 21, 'Interlocutor', 'Gonzalo Márquez'),
(205, 21, 'Contacto', 'Jorge Biggemann'),
(206, 21, 'Fase 1', 'Pendiente'),
(207, 21, 'Fase 2', 'Pendiente'),
(208, 21, 'Comentarios', 'Precio de unidades muy elevados para la zona y el perfil de proyectos que busca FIBRA'),
(209, 21, 'Actualizado por', 'Marcelo Goyzueta'),
(210, 21, 'Fecha ', '07-27-16'),
(211, 22, 'Prioridad', 'D'),
(212, 22, '$ total', ''),
(213, 22, 'Ciudad', 'LPZ'),
(214, 22, 'Interlocutor', 'Gonzalo Márquez'),
(215, 22, 'Contacto', 'Betty Aruquipa'),
(216, 22, 'Fase 1', 'Pendiente'),
(217, 22, 'Fase 2', 'Pendiente'),
(218, 22, 'Comentarios', 'El diseño actual de la construcción no es el apropiado para adaptarlo a vivienda.'),
(219, 22, 'Actualizado por', 'Marcelo Goyzueta'),
(220, 22, 'Fecha ', '07-27-16'),
(221, 23, 'Prioridad', 'D'),
(222, 23, '$ total', '3'),
(223, 23, 'Ciudad', ''),
(224, 23, 'Interlocutor', 'Gonzalo Márquez'),
(225, 23, 'Contacto', 'Diego Guzmán'),
(226, 23, 'Fase 1', 'Pendiente'),
(227, 23, 'Fase 2', 'Pendiente'),
(228, 23, 'Comentarios', 'El costo total y el producto no se adecua al perfil de FIBRA, el promotor quiere tener un control de al menos 50%'),
(229, 23, 'Actualizado por', 'Marcelo Goyzueta'),
(230, 23, 'Fecha ', '07-27-16'),
(231, 24, 'Prioridad', 'D'),
(232, 24, '$ total', '15'),
(233, 24, 'Ciudad', ''),
(234, 24, 'Interlocutor', 'Gonzalo Márquez'),
(235, 24, 'Contacto', 'Daniel Salomé'),
(236, 24, 'Fase 1', 'Pendiente'),
(237, 24, 'Fase 2', 'Pendiente'),
(238, 24, 'Comentarios', 'Relacionado a Jorge Iriarte, actualmente ve la parte financiera de Don Quijote en Jupapina, interesado en desarrollar 15 hectáreas en Villa Verde, camino al Golf Viacha.  Requiere comprar terreno y no tiene capital propio.'),
(239, 24, 'Actualizado por', 'Marcelo Goyzueta'),
(240, 24, 'Fecha ', '07-27-16'),
(241, 25, 'Prioridad', 'D'),
(242, 25, '$ total', ''),
(243, 25, 'Ciudad', 'SCZ'),
(244, 25, 'Interlocutor', 'Gonzalo Márquez'),
(245, 25, 'Contacto', 'Bernardo Leigue'),
(246, 25, 'Fase 1', 'Pendiente'),
(247, 25, 'Fase 2', 'Pendiente'),
(248, 25, 'Comentarios', ''),
(249, 25, 'Actualizado por', ''),
(250, 25, 'Fecha ', ''),
(251, 26, 'Prioridad', 'D'),
(252, 26, '$ total', '2.4'),
(253, 26, 'Ciudad', 'EAL'),
(254, 26, 'Interlocutor', 'Eduardo Toro'),
(255, 26, 'Contacto', ''),
(256, 26, 'Fase 1', 'Pendiente'),
(257, 26, 'Fase 2', 'Pendiente'),
(258, 26, 'Comentarios', ''),
(259, 26, 'Actualizado por', ''),
(260, 26, 'Fecha ', ''),
(261, 27, 'Prioridad', 'E'),
(262, 27, '$ total', ''),
(263, 27, 'Ciudad', ''),
(264, 27, 'Interlocutor', ''),
(265, 27, 'Contacto', 'Pablo tiene el contacto'),
(266, 27, 'Fase 1', 'Pendiente'),
(267, 27, 'Fase 2', 'Pendiente'),
(268, 27, 'Comentarios', ''),
(269, 27, 'Actualizado por', ''),
(270, 27, 'Fecha ', ''),
(271, 28, 'Prioridad', 'E'),
(272, 28, '$ total', ''),
(273, 28, 'Ciudad', 'SCZ'),
(274, 28, 'Interlocutor', 'Gonzalo Márquez'),
(275, 28, 'Contacto', 'Cristian Jofre'),
(276, 28, 'Fase 1', 'Pendiente'),
(277, 28, 'Fase 2', 'Pendiente'),
(278, 28, 'Comentarios', ''),
(279, 28, 'Actualizado por', ''),
(280, 28, 'Fecha ', ''),
(281, 29, 'Prioridad', 'E'),
(282, 29, '$ total', ''),
(283, 29, 'Ciudad', 'SCZ'),
(284, 29, 'Interlocutor', 'Gonzalo Márquez'),
(285, 29, 'Contacto', 'Marco Dabdoud / Gustavo de Rada'),
(286, 29, 'Fase 1', 'Pendiente'),
(287, 29, 'Fase 2', 'Pendiente'),
(288, 29, 'Comentarios', ''),
(289, 29, 'Actualizado por', ''),
(290, 29, 'Fecha ', ''),
(291, 30, 'Prioridad', 'V'),
(292, 30, '$ total', '10'),
(293, 30, 'Ciudad', 'SCZ'),
(294, 30, 'Interlocutor', 'Gonzalo Márquez'),
(295, 30, 'Contacto', 'Leonardo Peña / Fernando Suarez'),
(296, 30, 'Fase 1', 'Pendiente'),
(297, 30, 'Fase 2', 'Pendiente'),
(298, 30, 'Comentarios', 'El promotor es Fernando Suarez, tío de Rodrigo Suarez.  Fue referido por Tito Suarez, de Prolega.  Nos llamó Leonardo Peña.  El proyecto está en la zona norte y 5to anillo'),
(299, 30, 'Actualizado por', 'Marcelo Goyzueta'),
(300, 30, 'Fecha ', '8/5/216'),
(301, 31, 'Prioridad', ''),
(302, 31, '$ total', ''),
(303, 31, 'Ciudad', 'LPZ'),
(304, 31, 'Interlocutor', 'Gonzalo Márquez'),
(305, 31, 'Contacto', 'Eduardo Wilde'),
(306, 31, 'Fase 1', 'Pendiente'),
(307, 31, 'Fase 2', 'Pendiente'),
(308, 31, 'Comentarios', 'Gonzalo se reunió con Eduardo Wilde que es asesor de la empresa constructora SOKOLMET que esta a cargo de ambos proyectos.'),
(309, 31, 'Actualizado por', 'Marcelo Goyzueta'),
(310, 31, 'Fecha ', '07-27-16'),
(311, 32, 'Prioridad', ''),
(312, 32, '$ total', ''),
(313, 32, 'Ciudad', 'SCZ'),
(314, 32, 'Interlocutor', 'Gonzalo Márquez'),
(315, 32, 'Contacto', 'Eduardo Wilde'),
(316, 32, 'Fase 1', 'Pendiente'),
(317, 32, 'Fase 2', 'Pendiente'),
(318, 32, 'Comentarios', 'Gonzalo se reunió con Eduardo Wilde que es asesor de la empresa constructora SOKOLMET, empresa constructora encargada de éste proyecto.  Se le entrego un panfleto informativo del mismo.'),
(319, 32, 'Actualizado por', 'Marcelo Goyzueta'),
(320, 32, 'Fecha ', '07-27-16'),
(321, 33, 'Prioridad', ''),
(322, 33, '$ total', ''),
(323, 33, 'Ciudad', 'SUC'),
(324, 33, 'Interlocutor', 'Gonzalo Márquez'),
(325, 33, 'Contacto', 'Eduardo Wilde'),
(326, 33, 'Fase 1', 'Pendiente'),
(327, 33, 'Fase 2', 'Pendiente'),
(328, 33, 'Comentarios', 'Gonzalo se reunió con Eduardo Wilde que es asesor de la empresa constructora SOKOLMET, empresa constructora encargada de éste proyecto.  Se le entrego un panfleto informativo del mismo.'),
(329, 33, 'Actualizado por', 'Marcelo Goyzueta'),
(330, 33, 'Fecha ', '07-27-16'),
(331, 34, 'Prioridad', ''),
(332, 34, '$ total', '310'),
(333, 34, 'Ciudad', 'LPZ'),
(334, 34, 'Interlocutor', 'Eduardo Toro'),
(335, 34, 'Contacto', 'Rodrigo Gutierrez y Vladimir Gutierrez'),
(336, 34, 'Fase 1', 'Pendiente'),
(337, 34, 'Fase 2', 'Pendiente'),
(338, 34, 'Comentarios', ''),
(339, 34, 'Actualizado por', ''),
(340, 34, 'Fecha ', ''),
(341, 35, 'Prioridad', ''),
(342, 35, '$ total', '0.18 p/c+l'),
(343, 35, 'Ciudad', 'SCZ'),
(344, 35, 'Interlocutor', 'Eduardo Toro'),
(345, 35, 'Contacto', 'Rodrigo Gutierrez y Vladimir Gutierrez'),
(346, 35, 'Fase 1', 'Pendiente'),
(347, 35, 'Fase 2', 'Pendiente'),
(348, 35, 'Comentarios', ''),
(349, 35, 'Actualizado por', ''),
(350, 35, 'Fecha ', ''),
(351, 36, 'Prioridad', ''),
(352, 36, '$ total', ''),
(353, 36, 'Ciudad', 'CBA'),
(354, 36, 'Interlocutor', 'Eduardo Toro'),
(355, 36, 'Contacto', 'Rodrigo Gutierrez y Vladimir Gutierrez'),
(356, 36, 'Fase 1', 'Pendiente'),
(357, 36, 'Fase 2', 'Pendiente'),
(358, 36, 'Comentarios', ''),
(359, 36, 'Actualizado por', ''),
(360, 36, 'Fecha ', ''),
(361, 37, 'Prioridad', ''),
(362, 37, '$ total', ''),
(363, 37, 'Ciudad', 'CBA'),
(364, 37, 'Interlocutor', 'Eduardo Toro'),
(365, 37, 'Contacto', 'Rodrigo Gutierrez y Vladimir Gutierrez'),
(366, 37, 'Fase 1', 'Pendiente'),
(367, 37, 'Fase 2', 'Pendiente'),
(368, 37, 'Comentarios', ''),
(369, 37, 'Actualizado por', ''),
(370, 37, 'Fecha ', ''),
(371, 38, 'Prioridad', ''),
(372, 38, '$ total', ''),
(373, 38, 'Ciudad', 'SCZ'),
(374, 38, 'Interlocutor', 'Eduardo Toro'),
(375, 38, 'Contacto', 'Rodrigo Gutierrez y Vladimir Gutierrez'),
(376, 38, 'Fase 1', 'Pendiente'),
(377, 38, 'Fase 2', 'Pendiente'),
(378, 38, 'Comentarios', ''),
(379, 38, 'Actualizado por', ''),
(380, 38, 'Fecha ', ''),
(381, 39, 'Prioridad', ''),
(382, 39, '$ total', '3'),
(383, 39, 'Ciudad', 'EAL'),
(384, 39, 'Interlocutor', 'Gonzalo Márquez'),
(385, 39, 'Contacto', ''),
(386, 39, 'Fase 1', ''),
(387, 39, 'Fase 2', ''),
(388, 39, 'Comentarios', ''),
(389, 39, 'Actualizado por', ''),
(390, 39, 'Fecha ', ''),
(391, 40, 'Prioridad', ''),
(392, 40, '$ total', ''),
(393, 40, 'Ciudad', ''),
(394, 40, 'Interlocutor', ''),
(395, 40, 'Contacto', ''),
(396, 40, 'Fase 1', ''),
(397, 40, 'Fase 2', ''),
(398, 40, 'Comentarios', ''),
(399, 40, 'Actualizado por', ''),
(400, 40, 'Fecha ', ''),
(401, 41, 'Prioridad', ''),
(402, 41, '$ total', ''),
(403, 41, 'Ciudad', ''),
(404, 41, 'Interlocutor', ''),
(405, 41, 'Contacto', ''),
(406, 41, 'Fase 1', ''),
(407, 41, 'Fase 2', ''),
(408, 41, 'Comentarios', ''),
(409, 41, 'Actualizado por', ''),
(410, 41, 'Fecha ', ''),
(411, 42, 'Prioridad', ''),
(412, 42, '$ total', ''),
(413, 42, 'Ciudad', ''),
(414, 42, 'Interlocutor', ''),
(415, 42, 'Contacto', ''),
(416, 42, 'Fase 1', ''),
(417, 42, 'Fase 2', ''),
(418, 42, 'Comentarios', ''),
(419, 42, 'Actualizado por', ''),
(420, 42, 'Fecha ', ''),
(421, 43, 'Prioridad', ''),
(422, 43, '$ total', ''),
(423, 43, 'Ciudad', 'SCZ'),
(424, 43, 'Interlocutor', 'Gonzalo Márquez'),
(425, 43, 'Contacto', ''),
(426, 43, 'Fase 1', ''),
(427, 43, 'Fase 2', ''),
(428, 43, 'Comentarios', ''),
(429, 43, 'Actualizado por', ''),
(430, 43, 'Fecha ', ''),
(431, 44, 'Prioridad', ''),
(432, 44, '$ total', ''),
(433, 44, 'Ciudad', 'SCZ'),
(434, 44, 'Interlocutor', 'Gonzalo Márquez'),
(435, 44, 'Contacto', ''),
(436, 44, 'Fase 1', ''),
(437, 44, 'Fase 2', ''),
(438, 44, 'Comentarios', ''),
(439, 44, 'Actualizado por', ''),
(440, 44, 'Fecha ', ''),
(441, 45, 'Prioridad', ''),
(442, 45, '$ total', ''),
(443, 45, 'Ciudad', 'SCZ'),
(444, 45, 'Interlocutor', 'Gonzalo Márquez'),
(445, 45, 'Contacto', ''),
(446, 45, 'Fase 1', ''),
(447, 45, 'Fase 2', ''),
(448, 45, 'Comentarios', ''),
(449, 45, 'Actualizado por', ''),
(450, 45, 'Fecha ', ''),
(451, 46, 'Prioridad', ''),
(452, 46, '$ total', ''),
(453, 46, 'Ciudad', 'SCZ'),
(454, 46, 'Interlocutor', 'Gonzalo Márquez'),
(455, 46, 'Contacto', ''),
(456, 46, 'Fase 1', ''),
(457, 46, 'Fase 2', ''),
(458, 46, 'Comentarios', ''),
(459, 46, 'Actualizado por', ''),
(460, 46, 'Fecha ', ''),
(461, 47, 'Prioridad', ''),
(462, 47, '$ total', ''),
(463, 47, 'Ciudad', 'SCZ'),
(464, 47, 'Interlocutor', 'Gonzalo Márquez'),
(465, 47, 'Contacto', ''),
(466, 47, 'Fase 1', ''),
(467, 47, 'Fase 2', ''),
(468, 47, 'Comentarios', ''),
(469, 47, 'Actualizado por', ''),
(470, 47, 'Fecha ', ''),
(471, 48, 'Prioridad', ''),
(472, 48, '$ total', ''),
(473, 48, 'Ciudad', 'SCZ'),
(474, 48, 'Interlocutor', 'Gonzalo Márquez'),
(475, 48, 'Contacto', ''),
(476, 48, 'Fase 1', ''),
(477, 48, 'Fase 2', ''),
(478, 48, 'Comentarios', ''),
(479, 48, 'Actualizado por', ''),
(480, 48, 'Fecha ', ''),
(481, 49, 'Prioridad', ''),
(482, 49, '$ total', ''),
(483, 49, 'Ciudad', 'SCZ'),
(484, 49, 'Interlocutor', 'Gonzalo Márquez'),
(485, 49, 'Contacto', ''),
(486, 49, 'Fase 1', ''),
(487, 49, 'Fase 2', ''),
(488, 49, 'Comentarios', ''),
(489, 49, 'Actualizado por', ''),
(490, 49, 'Fecha ', ''),
(491, 50, 'Prioridad', 'D'),
(492, 50, '$ total', '10'),
(493, 50, 'Ciudad', 'SCZ'),
(494, 50, 'Interlocutor', 'Gonzalo Márquez'),
(495, 50, 'Contacto', 'Leonardo Peña / Fernando Suarez'),
(496, 50, 'Fase 1', 'Pendiente'),
(497, 50, 'Fase 2', 'Pendiente'),
(498, 50, 'Comentarios', 'El promotor es Fernando Suarez, tío de Rodrigo Suarez.  Fue referido por Tito Suarez, de Prolega.  Nos llamó Leonardo Peña.  El proyecto está en la zona norte y 5to anillo'),
(499, 50, 'Actualizado por', 'Marcelo Goyzueta'),
(500, 50, 'Fecha ', '8/5/216'),
(501, 51, 'Prioridad', ''),
(502, 51, '$ total', ''),
(503, 51, 'Ciudad', ''),
(504, 51, 'Interlocutor', ''),
(505, 51, 'Contacto', ''),
(506, 51, 'Fase 1', ''),
(507, 51, 'Fase 2', ''),
(508, 51, 'Comentarios', ''),
(509, 51, 'Actualizado por', ''),
(510, 51, 'Fecha ', ''),
(511, 52, 'Prioridad', ''),
(512, 52, '$ total', ''),
(513, 52, 'Ciudad', ''),
(514, 52, 'Interlocutor', ''),
(515, 52, 'Contacto', ''),
(516, 52, 'Fase 1', ''),
(517, 52, 'Fase 2', ''),
(518, 52, 'Comentarios', ''),
(519, 52, 'Actualizado por', ''),
(520, 52, 'Fecha ', ''),
(521, 53, 'Prioridad', ''),
(522, 53, '$ total, millones', ''),
(523, 53, 'Ciudad', ''),
(524, 53, 'Interlocutor', ''),
(525, 53, 'Contacto', ''),
(526, 53, 'Fecha Actualización', ''),
(527, 53, 'Fase 1', ''),
(528, 53, 'Fase 2', ''),
(529, 53, 'Comentarios', ''),
(530, 53, 'Actualizado por', ''),
(531, 54, 'Prioridad', ''),
(532, 54, '$ total, millones', ''),
(533, 54, 'Ciudad', ''),
(534, 54, 'Interlocutor', ''),
(535, 54, 'Contacto', ''),
(536, 54, 'Fecha Actualización', ''),
(537, 54, 'Fase 1', ''),
(538, 54, 'Fase 2', ''),
(539, 54, 'Comentarios', ''),
(540, 54, 'Actualizado por', ''),
(541, 55, 'Prioridad', ''),
(542, 55, '$ total, millones', ''),
(543, 55, 'Ciudad', ''),
(544, 55, 'Interlocutor', ''),
(545, 55, 'Contacto', ''),
(546, 55, 'Fecha Actualización', ''),
(547, 55, 'Fase 1', ''),
(548, 55, 'Fase 2', ''),
(549, 55, 'Comentarios', ''),
(550, 55, 'Actualizado por', ''),
(551, 56, 'Prioridad', ''),
(552, 56, '$ total, millones', ''),
(553, 56, 'Ciudad', ''),
(554, 56, 'Interlocutor', ''),
(555, 56, 'Contacto', ''),
(556, 56, 'Fecha Actualización', ''),
(557, 56, 'Fase 1', ''),
(558, 56, 'Fase 2', ''),
(559, 56, 'Comentarios', ''),
(560, 56, 'Actualizado por', ''),
(561, 57, 'Prioridad', 'A'),
(562, 57, '$ total, millones', '6'),
(563, 57, 'Ciudad', 'LPZ'),
(564, 57, 'Interlocutor', 'Gonzalo Márquez'),
(565, 57, 'Contacto', 'Maria Cristina Subieta'),
(566, 57, 'Fecha Actualización', '08-22-16'),
(567, 57, 'Fase 1', ''),
(568, 57, 'Fase 2', ''),
(569, 57, 'Comentarios', ''),
(570, 57, 'Actualizado por', '');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipoclasificadorcomun`
--

CREATE TABLE `tipoclasificadorcomun` (
  `IdTipoClasificadorComun` int(11) NOT NULL,
  `Descripcion` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `tipoclasificadorcomun`
--

INSERT INTO `tipoclasificadorcomun` (`IdTipoClasificadorComun`, `Descripcion`) VALUES
(1, 'EstadoCivil'),
(3, 'EstadoProyecto'),
(4, 'TipoCapaEstatico'),
(5, 'TipoMapa'),
(6, 'Programador');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `user`
--

CREATE TABLE `user` (
  `id` int(11) NOT NULL,
  `IdPersona` int(11) DEFAULT NULL,
  `username` varchar(255) DEFAULT NULL,
  `auth_key` varchar(32) DEFAULT NULL,
  `password_hash` varchar(255) DEFAULT NULL,
  `password_reset_token` varchar(255) DEFAULT NULL,
  `access_token` varchar(255) DEFAULT NULL,
  `IdCreadoPor` int(11) DEFAULT NULL,
  `FechaCreacion` datetime DEFAULT NULL,
  `IdModificadoPor` int(11) DEFAULT NULL,
  `FechaModificacion` datetime DEFAULT NULL,
  `Rol` varchar(25) DEFAULT NULL,
  `Activo` bit(1) DEFAULT NULL COMMENT 'EStablece que un usuario del sistema este activo'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `user`
--

INSERT INTO `user` (`id`, `IdPersona`, `username`, `auth_key`, `password_hash`, `password_reset_token`, `access_token`, `IdCreadoPor`, `FechaCreacion`, `IdModificadoPor`, `FechaModificacion`, `Rol`, `Activo`) VALUES
(1, 1, 'admin', 'q8uL3oSwzH0MGgJhUA7IRp3g_i7Ko60d', '$2y$13$tl70c5hCa/NGIshnWUriv.HnrlVoNDH/ZC9IBGV/kz4u74XRXdJza', NULL, NULL, NULL, NULL, NULL, NULL, 'Administrador', b'1'),
(2, 2, 'jaime', 't5w1Iz1LUSRsvVqVa2b7FQDbXigTjdhi', '$2y$13$rfdPXWSqlTK926nRHLSUP./KFjn0VCZUaQOFy4hw39.joMighyzJ6', NULL, NULL, 1, '2016-07-20 00:22:15', 2, '2016-08-02 00:07:13', 'Administrador', b'1'),
(5, 7, 'mgoyzueta', 'ZwQA9AdGfBxMkuECwPHJpgvfV0Z3an3P', '$2y$13$LUUeIBO8riakk2B5mrXLJONt32UpUfcO6iw4Qou6n/dCPVx3J6A4e', NULL, NULL, 2, '2016-08-05 18:02:41', 2, '2016-08-11 18:07:03', 'Administrador', b'1'),
(6, 8, 'gmarquez', 'mcR9-ukXVjLyV-MukryoMZelL6MLAx_N', '$2y$13$khBMDu6MU9wdPXsPn4WXRO.bwt8e2tBkVX5BLXT8KKXAGrZaiSfva', NULL, NULL, 2, '2016-08-11 18:08:23', 2, '2016-08-11 18:09:50', 'Registrador', b'1'),
(7, 9, 'etoro', 'RP1QblXilprMDuNZEeo_vDf3sxOazq83', '$2y$13$nHN8z6HZsSgHCsGkXJN6RuX5FVCrbFv7gwhinUugnzrIWs4UO83Cm', NULL, NULL, 2, '2016-08-11 18:11:30', NULL, NULL, 'Registrador', b'1'),
(9, 10, 'mcarrasco', 'zR2Vvf3jUvfeQ4EJkc31A5HPCEuTIbyC', '$2y$13$2Ri4RI3Isgv4ZdCPgnSa1.lFOC7nNY1m5J1DOVf5.XQcZUAQSSHDu', NULL, NULL, 5, '2016-08-12 16:41:31', 2, '2016-08-23 18:54:55', 'Registrador', b'1'),
(10, 11, 'carla', 'S1iwHp3TBMHyuAaGhuDdqL64XtWG1Yma', '$2y$13$zTB8yyXHPToKRdEu0TZP9eMPk9/89ciHEB4BFo.CBVI16uyF7hSlG', NULL, NULL, 2, '2016-09-01 16:57:10', NULL, NULL, 'Administrador', b'1'),
(11, NULL, 'rolando', '9ZHJy2dq08PniylrHf7E3KGnKJ2L91z5', '$2y$13$G.2/rMSOTFTlEgXXshNNReOi4/EJZzTuYfa9qx0IJEecNngVfCiia', NULL, NULL, 5, '2016-09-16 21:00:13', NULL, NULL, 'Administrador', b'1'),
(12, NULL, 'amanueles', 'RVC31ghYDHK-gkkeNMstH7SdJtTHIsgK', '$2y$13$uUyYuv7P85ZyBr8UBW19t..ncukWjV/gWeXG1QrcC48lFIRWs0lqO', NULL, NULL, 5, '2016-09-30 00:47:07', 5, '2016-10-04 15:52:09', 'Administrador', b'0');

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `capa`
--
ALTER TABLE `capa`
  ADD PRIMARY KEY (`IdCapa`),
  ADD KEY `fk_layersmap_clasificadorcomun1_idx` (`IdcTipoCapa`),
  ADD KEY `fk_capamap_user1_idx` (`IdCreadoPor`),
  ADD KEY `fk_capa_clasificadorcomun1_idx` (`IdcTipoMapa`),
  ADD KEY `fk_capa_user1_idx` (`IdModificadoPor`);

--
-- Indices de la tabla `capadetalle`
--
ALTER TABLE `capadetalle`
  ADD PRIMARY KEY (`IdCapaDetalle`),
  ADD KEY `fk_capadetalle_capa1_idx` (`IdCapa`);

--
-- Indices de la tabla `clasificadorcomun`
--
ALTER TABLE `clasificadorcomun`
  ADD PRIMARY KEY (`IdClasificadorComun`),
  ADD KEY `fk_clasificador_tipoclasificador_idx` (`IdTipoClasificadorComun`);

--
-- Indices de la tabla `empresa`
--
ALTER TABLE `empresa`
  ADD PRIMARY KEY (`IdEmpresa`),
  ADD KEY `fk_Empresa_persona1_idx` (`IdRepresentanteLegal`),
  ADD KEY `fk_empresa_user1_idx` (`IdCreadoPor`),
  ADD KEY `fk_empresa_user2_idx` (`IdModificadoPor`);

--
-- Indices de la tabla `imagen`
--
ALTER TABLE `imagen`
  ADD PRIMARY KEY (`IdImagen`),
  ADD KEY `fk_imagen_proyecto1_idx` (`IdProyecto`),
  ADD KEY `fk_imagen_user1_idx` (`CreadoPor`);

--
-- Indices de la tabla `persona`
--
ALTER TABLE `persona`
  ADD PRIMARY KEY (`IdPersona`),
  ADD KEY `fk_persona_user1_idx` (`IdCreadoPor`),
  ADD KEY `fk_persona_user2_idx` (`IdModificadoPor`),
  ADD KEY `fk_persona_clasificadorcomun1_idx` (`IdcEstadoCivil`);

--
-- Indices de la tabla `proyecto`
--
ALTER TABLE `proyecto`
  ADD PRIMARY KEY (`IdProyecto`),
  ADD KEY `fk_formulario_user1_idx` (`IdCreadoPor`),
  ADD KEY `fk_formulario_user2_idx` (`IdModificadoPor`),
  ADD KEY `fk_proyecto_clasificadorcomun1_idx` (`IdcEstadoProyecto`),
  ADD KEY `fk_proyecto_nombre_idx` (`NombreProyecto`);

--
-- Indices de la tabla `proyectodetalle`
--
ALTER TABLE `proyectodetalle`
  ADD PRIMARY KEY (`IdProyectoDetalle`),
  ADD KEY `fk_proyectodetalle_proyecto1_idx` (`IdProyecto`);

--
-- Indices de la tabla `tipoclasificadorcomun`
--
ALTER TABLE `tipoclasificadorcomun`
  ADD PRIMARY KEY (`IdTipoClasificadorComun`);

--
-- Indices de la tabla `user`
--
ALTER TABLE `user`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_user_user1_idx` (`IdCreadoPor`),
  ADD KEY `fk_user_user2_idx` (`IdModificadoPor`),
  ADD KEY `fk_user_persona1_idx` (`IdPersona`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `capa`
--
ALTER TABLE `capa`
  MODIFY `IdCapa` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=37;
--
-- AUTO_INCREMENT de la tabla `capadetalle`
--
ALTER TABLE `capadetalle`
  MODIFY `IdCapaDetalle` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3671;
--
-- AUTO_INCREMENT de la tabla `clasificadorcomun`
--
ALTER TABLE `clasificadorcomun`
  MODIFY `IdClasificadorComun` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=46;
--
-- AUTO_INCREMENT de la tabla `empresa`
--
ALTER TABLE `empresa`
  MODIFY `IdEmpresa` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT de la tabla `imagen`
--
ALTER TABLE `imagen`
  MODIFY `IdImagen` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=32;
--
-- AUTO_INCREMENT de la tabla `persona`
--
ALTER TABLE `persona`
  MODIFY `IdPersona` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;
--
-- AUTO_INCREMENT de la tabla `proyecto`
--
ALTER TABLE `proyecto`
  MODIFY `IdProyecto` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=58;
--
-- AUTO_INCREMENT de la tabla `proyectodetalle`
--
ALTER TABLE `proyectodetalle`
  MODIFY `IdProyectoDetalle` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=571;
--
-- AUTO_INCREMENT de la tabla `tipoclasificadorcomun`
--
ALTER TABLE `tipoclasificadorcomun`
  MODIFY `IdTipoClasificadorComun` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT de la tabla `user`
--
ALTER TABLE `user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;
--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `capa`
--
ALTER TABLE `capa`
  ADD CONSTRAINT `fk_capa_clasificadorcomun1` FOREIGN KEY (`IdcTipoMapa`) REFERENCES `clasificadorcomun` (`IdClasificadorComun`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_capa_user1` FOREIGN KEY (`IdModificadoPor`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_capamap_user1` FOREIGN KEY (`IdCreadoPor`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_layersmap_clasificadorcomun1` FOREIGN KEY (`IdcTipoCapa`) REFERENCES `clasificadorcomun` (`IdClasificadorComun`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `capadetalle`
--
ALTER TABLE `capadetalle`
  ADD CONSTRAINT `fk_capadetalle_capa1` FOREIGN KEY (`IdCapa`) REFERENCES `capa` (`IdCapa`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `clasificadorcomun`
--
ALTER TABLE `clasificadorcomun`
  ADD CONSTRAINT `fk_clasificador_tipoclasificador` FOREIGN KEY (`IdTipoClasificadorComun`) REFERENCES `tipoclasificadorcomun` (`IdTipoClasificadorComun`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `empresa`
--
ALTER TABLE `empresa`
  ADD CONSTRAINT `fk_Empresa_persona1` FOREIGN KEY (`IdRepresentanteLegal`) REFERENCES `persona` (`IdPersona`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_empresa_user1` FOREIGN KEY (`IdCreadoPor`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_empresa_user2` FOREIGN KEY (`IdModificadoPor`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `imagen`
--
ALTER TABLE `imagen`
  ADD CONSTRAINT `fk_imagen_proyecto1` FOREIGN KEY (`IdProyecto`) REFERENCES `proyecto` (`IdProyecto`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_imagen_user1` FOREIGN KEY (`CreadoPor`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `persona`
--
ALTER TABLE `persona`
  ADD CONSTRAINT `fk_persona_clasificadorcomun1` FOREIGN KEY (`IdcEstadoCivil`) REFERENCES `clasificadorcomun` (`IdClasificadorComun`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_persona_user1` FOREIGN KEY (`IdCreadoPor`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_persona_user2` FOREIGN KEY (`IdModificadoPor`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `proyecto`
--
ALTER TABLE `proyecto`
  ADD CONSTRAINT `fk_formulario_user10` FOREIGN KEY (`IdCreadoPor`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_formulario_user20` FOREIGN KEY (`IdModificadoPor`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_proyecto_clasificadorcomun1` FOREIGN KEY (`IdcEstadoProyecto`) REFERENCES `clasificadorcomun` (`IdClasificadorComun`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `proyectodetalle`
--
ALTER TABLE `proyectodetalle`
  ADD CONSTRAINT `fk_proyectodetalle_proyecto1` FOREIGN KEY (`IdProyecto`) REFERENCES `proyecto` (`IdProyecto`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `user`
--
ALTER TABLE `user`
  ADD CONSTRAINT `fk_user_persona1` FOREIGN KEY (`IdPersona`) REFERENCES `persona` (`IdPersona`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_user_user1` FOREIGN KEY (`IdCreadoPor`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_user_user2` FOREIGN KEY (`IdModificadoPor`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
