<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel app\models\ClasificadorcomunSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Clasificadores';
$this->params['breadcrumbs'][] = $this->title;
$param = $param = Yii::$app->request->queryParams;
?>

<?php
foreach (Yii::$app->session->getAllFlashes() as $key => $message) {
    echo '<div class="alert alert-' . $key . '">' . $message . '</div>';
}
?>

<div class="clasificadorcomun-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a('Crear Clasificador', ['create'], ['class' => 'btn btn-success']) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'IdClasificadorComun',
            //'IdTipoClasificadorComun',

                [
                    'attribute'=>'IdTipoClasificadorComun',
                    'label'=>'Tipo Clasificador',
                    'value'=>function($model){ return $model->idTipoClasificadorComun->Descripcion; },
                    'filter'=>Html::dropDownList('ClasificadorcomunSearch[IdTipoClasificadorComun]',isset($param['ClasificadorcomunSearch']['IdTipoClasificadorComun'])?$param['ClasificadorcomunSearch']['IdTipoClasificadorComun']:0,$comboTipoClasificador,['class'=>'form-control','prompt'=>'--Seleccionar--' ] ),
                ],

            'Nombre',
            //'Abreviacion',
            'Descripcion',
            // 'Orden',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
</div>
