<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Clasificadorcomun */

$this->title = $model->IdClasificadorComun;
$this->params['breadcrumbs'][] = ['label' => 'Clasificadores', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="clasificadorcomun-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Actualizar', ['update', 'id' => $model->IdClasificadorComun], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Eliminar', ['delete', 'id' => $model->IdClasificadorComun], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => '¿Está seguro de eliminar este elemento?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'IdClasificadorComun',
            //'IdTipoClasificadorComun',
            [
                'label'=>'Tipo Clasificador',
                'value'=>$model->idTipoClasificadorComun->Descripcion
            ],
            'Nombre',
            //'Abreviacion',
            'Descripcion',
            //'Orden',
        ],
    ]) ?>

</div>
