<?php
/**
 * Created by PhpStorm.
 * User: hquispe
 * Date: 7/25/2016
 * Time: 2:06 PM
 */
use app\models\Clasificadorcomun;
use yii\helpers\Url;

$arrayKmz=[];
$keysKmz=[];
/**
 * @var  Clasificadorcomun $item
 */
foreach( $tipoMapas as $item ){
    if( !empty( $item->ValorExtra ) ){
        $arrayKmz[]=\yii\helpers\Url::to(['importacion/getkmz','id'=>$item->IdClasificadorComun],true);
        $keysKmz[]=$item->IdClasificadorComun;
    }

}
$arrayUrlKmz = count($arrayKmz)>0?"['".implode("', '",$arrayKmz)."']":[];
$keysKmz = count($keysKmz)>0?"['".implode("', '",$keysKmz)."']":[];
?>
<script>
    (function ( $ ) {
        $.fn.DreamMapa = function(){
            var root = this;
            var map=null;


            var geoXML3parse=null; //<<--borrar
            var polyDepartamentos=[];
            var polyMunicipios=[];
            var polyDistritos=[];
            var polyMultiple=[];


            var CapaDefault=null; //int
            var capas = {}; // { id1:{  IdCapa:?, polygon:??  },  id2:{....}   }
            var polyDefault=null;
            var center = {lat: -15.29513119666984, lng: -65.11421797812498};

            var GlobalMaps={};  // { IdTipoMapa1:{tipoMapa:?, doc:?},..{...}  } // doc is (docs from geoXML3)
            var markers=[];
            var dataMarkers=null;

            var year=null;
            var ZIndex=1;
            var ValorMax=null;
            var ValorMin=null;
            //var urlKml = ['kml/Departamento.kmz','kml/Municipios.kmz','kml/Distritos.kmz' ];
            var urlKml = <?= $arrayUrlKmz ?>;
            //var urlKml = ['http://localhost:8080/mapasWeb/mapwebsite/web/index.php?r=importacion%2Fgetkmz&id=29', 'http://localhost:8080/mapasWeb/mapwebsite/web/index.php?r=importacion%2Fgetkmz&id=28'];
            var tipoMapas = <?= $keysKmz ?>; //<---- tipo de mapas

            var slideOpacity = null;
            var sliderYear = null;
            var sel=null; // De la lista checkbox  este fue seleccionado

            var initMap = function(){
                map = new google.maps.Map( root.find("#map").get(0), {
                    zoom: 7,
                    center: center,
                    zoomControlOptions: {
                        position: google.maps.ControlPosition.RIGHT_CENTER
                    },
                    mapTypeControlOptions: {
                        style: google.maps.MapTypeControlStyle.VERTICAL_BAR,
                        position: google.maps.ControlPosition.TOP_RIGHT
                    },

                });

                // This event listener calls addMarker() when the map is clicked.
                google.maps.event.addListener(map, 'click', function(event) {

                    //addMarker(event.latLng, map);
                    //console.log( event.latLng );
                    //console.log( event.latLng.lat()+","+event.latLng.lng()  );

                    root.find("#mensaje").html( "lat:"+event.latLng.lat() +"<br>"+ "lng:"+event.latLng.lng() +"<br>"+"z :"+ map.getZoom() );

                });



                loadKmls();

            };



            /// Carga todos los kmls
            var Nmap=0;
            var loadKmls = function(){
                var XmlParse = new geoXML3.parser(); //options :  {map: map, singleInfoWindow: false }
                XmlParse.parse( urlKml[Nmap]  );
                var t = setInterval(function() { // esperar que termine de cargar

                    if( XmlParse.docs.length >=1 ){
                        //console.log("*******Se cargo :"+ urlKml[Nmap] );
                        clearInterval( t );
                        /*GlobalMaps.push();*/
                        GlobalMaps[ tipoMapas[Nmap] ]={
                            tipoMapa : tipoMapas[Nmap],
                                    doc:XmlParse.docs[0] // type docs from geoXML3
                        };

                        Nmap++;

                        if( Nmap < urlKml.length ){
                            loadKmls();
                        }else{
                            //console.log(" Termino!!!!!  :) ");
                            root.find(".dashboard-opc").removeClass("cargando");
                            root.find(".dashboard-opc .contenedor").removeClass("hide");
                            root.find("#loading").removeClass("cargando").addClass("hide");
                        }
                    }

                },100);

            };

            //:::::::::::::  funciones basicas  [inicio]
            var createPolys = function(key){ // key valor de TipoMapa


                var arrayPolygons2=[];
                for(var i=0; i < GlobalMaps[key].doc.gpolygons.length; i++ ){
                    var poly={};
                    poly.polygon = new google.maps.Polygon(
                        {
                            paths: GlobalMaps[key].doc.gpolygons[i].getPaths().getArray(),
                            strokeColor: '#000000',
                            strokeOpacity: 0.45,
                            strokeWeight: 2,
                            fillColor: '#FF0000',
                            fillOpacity: 0.5
                        }
                    );
                    poly.polygon.infoWindow = new google.maps.InfoWindow(); ///<<-- Info Windows
                    poly.id = GlobalMaps[key].doc.placemarks[i].id;
                    //poly.txt = GlobalMaps[key].doc.placemarks[i].description;
                    poly.codigo = SearchHtmlID(  GlobalMaps[key].doc.placemarks[i].description , "Codigo"  );
                    poly.polygon.departamento = SearchHtmlID(  GlobalMaps[key].doc.placemarks[i].description , "NOM_DEP"  );
                    poly.polygon.provincia = SearchHtmlID(  GlobalMaps[key].doc.placemarks[i].description , "NOM_PROV"  );
                    poly.polygon.municipio = SearchHtmlID(  GlobalMaps[key].doc.placemarks[i].description , "NOM_MUN"  );


                    arrayPolygons2.push(poly);
                }

                return arrayPolygons2;
            };

            var ClearGroupPolys = function(IdCapa){

                if( !!capas[IdCapa]==true &&  capas[IdCapa].visible==true ){
                    //console.log("limpiar");
                    for (var  i=0;i<capas[IdCapa].ArrayPolygons.length; i++) {
                        capas[IdCapa].ArrayPolygons[i].polygon.setMap(null);
                        capas[IdCapa].ArrayPolygons[i].polygon.infoWindow.close();
                    }

                    capas[IdCapa].visible=false;
                }

            };

            //setea los años max min de toda las capas activas
            var RefreshMaxMinYear = function(){
                var YearMax=null;
                var YearMin=null;
                // Obteniendo los años max y min de todas las capas Activas
                $.each(capas,function( key,capa ){
                    if( capa.visible == true ){
                        if(YearMax==null && YearMin==null ){  YearMax = capa.YearMax; YearMin = capa.YearMin;  }
                        if(YearMax<capa.YearMax)  YearMax = capa.YearMax;
                        if(YearMin> capa.YearMin)  YearMin = capa.YearMin;
                    }

                });

                if( YearMax==null || YearMin==null ) YearMax = YearMin = 0;
                sliderYear.slider('setAttribute', 'min', YearMin);
                sliderYear.slider('setAttribute', 'max', YearMax );
                sliderYear.slider('refresh');
                sliderYear.slider('setValue',YearMin);

                root.find("#yearMin").html( YearMin );
                root.find("#yearMax").html( YearMax );

            };

            var RefreshLeyendaMaxMin = function(  IdCapa ){
                //console.log( "Refresh leyenda..inicio.."+IdCapa );
                ///console.log();
                if(!!IdCapa==false) return false;
                if( !!capas[IdCapa] ){
                    root.find("#minColor").html( capas[IdCapa].ValorMin );
                    root.find("#maxColor").html( capas[IdCapa].ValorMax );
                }

                //console.log( "Refresh leyenda..."+ IdCapa );


            };



            var ShowGroupPolys = function(IdCapa){

                if( !!capas[IdCapa] ){
                    for (var  i=0;i<capas[IdCapa].ArrayPolygons.length; i++) {
                        capas[IdCapa].ArrayPolygons[i].polygon.setMap(map);
                    }
                    capas[IdCapa].visible=true;

                    RefreshMaxMinYear();



                    //Coloreando
                    setConfigPolygon(IdCapa, capas[IdCapa].YearMin);

                    CapaDefault = IdCapa;
                    ValorMax = capas[IdCapa].ValorMax;
                    ValorMin = capas[IdCapa].ValorMin;
                    //console.log( "max : " + ValorMax + " min:"+ValorMin );

                }
            };

            //limpia todas las capas del mapa
            var ClearAllCapas = function(){
                $.each( capas, function(IdCapa, capa){
                    ClearGroupPolys( IdCapa );
                } );

                root.find("input.mapCheck").prop('checked',false);
            };

            var opacityPolygon = function( IdCapa, valor ){
                if( !!capas[IdCapa] && IdCapa!=null ){
                    capas[IdCapa].fillOpacity = valor;
                    for (var  i=0;i<capas[IdCapa].ArrayPolygons.length; i++) {

                        capas[IdCapa].ArrayPolygons[i].polygon.setOptions( {
                            fillOpacity:valor
                        } );
                    }

                }


            };

            var zIndexPolygon = function(IdCapa,valor){

                if( !!capas[IdCapa] ){

                    for( var  i=0;i<capas[IdCapa].ArrayPolygons.length; i++) {
                        capas[IdCapa].ArrayPolygons[i].polygon.setOptions({ zIndex:valor });
                    }

                }

            };

            // coloca una zindex de capa encima de las otras
            var swapZindexCapa = function (IdCapa){

                var max = null;
                var keyCapa=null;
                $.each(capas, function(key,capa){
                    if(max==null) { max = capa.zIndex; keyCapa = capa.IdCapa; }
                    if(  capa.zIndex > max){ max = capa.zIndex; keyCapa = capa.IdCapa; }
                });

                if( keyCapa!=IdCapa ){
                    zIndexPolygon( keyCapa, capas[IdCapa].zIndex );
                    capas[keyCapa].zIndex = capas[IdCapa].zIndex;
                    zIndexPolygon( IdCapa, max );
                    capas[IdCapa].zIndex = max;

                    //console.log("min:"+capas[IdCapa].ValorMin + " max:"+capas[IdCapa].ValorMax );
                }

            };



            // obtiene el valor relativo entre  0-1
            var generateRatio = function(IdCapa, valor ){
                if(!!capas[IdCapa]==false || IdCapa==null) return 0;
                var min = capas[IdCapa].ValorMin;
                var max = capas[IdCapa].ValorMax;

                if( valor <=min ) return 0;
                if( valor >= max ) return 1;

                return (valor - min)/(max-min);
            };

            // obtiene color relativo de ratio[ 0-1] entre los colores 1 y 2  ej:  pixColor("21589b","a6960a", 0.5);
            var  pixColor = function( ratio ){
                var color1 = "ff0000";
                var color2 = "ffff00";
                var color3 = "00ff00";


                var color=[];

                if(ratio<=0.5)
                {
                    var colorA = color1;
                    var colorB = color2;
                    ratio = ratio/0.5;
                }
                else
                {
                    var colorA = color2;
                    var colorB = color3;
                    ratio = (ratio-0.5)/0.5;
                }

                var r = Math.ceil(parseInt(colorB.substring(0,2), 16) * ratio + parseInt(colorA.substring(0,2), 16) * (1-ratio));
                var g = Math.ceil(parseInt(colorB.substring(2,4), 16) * ratio + parseInt(colorA.substring(2,4), 16) * (1-ratio));
                var b = Math.ceil(parseInt(colorB.substring(4,6), 16) * ratio + parseInt(colorA.substring(4,6), 16) * (1-ratio));

                color.push(r);
                color.push(g);
                color.push(b);
                return  color;
            };

            //setea con color a los poligonos de la capa y tambien eventos(falta)
            var setConfigPolygon = function(IdCapa, year){

                if( !!capas[IdCapa] && IdCapa!=null ){

                    if( !!capas[IdCapa].Data[year]==false ) { console.log("No hay informacion para es año"); return false;  }



                    for( var  i=0;i<capas[IdCapa].ArrayPolygons.length; i++){

                        var codigo = capas[IdCapa].ArrayPolygons[i].codigo; // obtiene el codigo delpoligono
                        if(!!capas[IdCapa].Data[year][codigo] ){  //colorear si exite en  la capa el año y valor
                            var ratio = generateRatio( IdCapa, capas[IdCapa].Data[year][codigo] );
                            var color = pixColor( ratio );
                            capas[IdCapa].ArrayPolygons[i].polygon.setOptions( {
                                //fillOpacity:capas[IdCapa].fillopacity,
                                fillColor: 'rgb('+color[0]+','+color[1]+','+color[2]+')'
                            } );
                            capas[IdCapa].ArrayPolygons[i].polygon.NombreCapa = capas[IdCapa].NombreCapa;
                            capas[IdCapa].ArrayPolygons[i].polygon.Valor = capas[IdCapa].Data[year][codigo];
                            capas[IdCapa].ArrayPolygons[i].polygon.Year = year;


                            //evento al poligono
                            google.maps.event.addListener(capas[IdCapa].ArrayPolygons[i].polygon, 'click', function(event)
                            {
                                //console.log( this);
                                var html = this.NombreCapa;
                                html += "<br> A&ntilde;o :"+this.Year;
                                html+= "<br> Valor:"+this.Valor
                                html+= !!this.departamento?" <br> Dept :"+ Utf8Encode(this.departamento):"";
                                html+= !!this.provincia ?" <br> Prov :"+ Utf8Encode(this.provincia):"";
                                html+= !!this.municipio ?" <br> Mun :"+ Utf8Encode(this.municipio):"";

                                this.infoWindow.setContent( html  );
                                this.infoWindow.setPosition( {lat:event.latLng.lat(), lng:event.latLng.lng()}); // new google.maps.LatLng( event.latLng.lat(), event.latLng.lng() );

                                //google.maps.event.addListener(this.infoWindow, 'domready', infoWindowCustom ); //<<-----custom
                                this.infoWindow.open(map);


                            });

                        }else{

                            if(!!capas[IdCapa].ArrayPolygons[i].polygon.infoWindow)
                                capas[IdCapa].ArrayPolygons[i].polygon.infoWindow.close();

                            capas[IdCapa].ArrayPolygons[i].polygon.setOptions( {
                                fillOpacity:capas[IdCapa].fillopacity
                                //,fillColor: 'rgb('+color[0]+','+color[1]+','+color[2]+')'
                            } );
                            console.log(" no hay para ."+year+" cod:"+codigo );
                            //alert("No hay datos para :"+year);
                        }
                    }

                }
            };

            function Utf8Decode(strUtf) {
                // note: decode 3-byte chars first as decoded 2-byte strings could appear to be 3-byte char!
                var strUni = strUtf.replace(
                    /[\u00e0-\u00ef][\u0080-\u00bf][\u0080-\u00bf]/g,  // 3-byte chars
                    function(c) {  // (note parentheses for precedence)
                        var cc = ((c.charCodeAt(0)&0x0f)<<12) | ((c.charCodeAt(1)&0x3f)<<6) | ( c.charCodeAt(2)&0x3f);
                        return String.fromCharCode(cc); }
                );
                strUni = strUni.replace(
                    /[\u00c0-\u00df][\u0080-\u00bf]/g,                 // 2-byte chars
                    function(c) {  // (note parentheses for precedence)
                        var cc = (c.charCodeAt(0)&0x1f)<<6 | c.charCodeAt(1)&0x3f;
                        return String.fromCharCode(cc); }
                );
                return strUni;
            }
            function Utf8Encode(strUni) {
                var strUtf = strUni.replace(
                    /[\u0080-\u07ff]/g,  // U+0080 - U+07FF => 2 bytes 110yyyyy, 10zzzzzz
                    function(c) {
                        var cc = c.charCodeAt(0);
                        return String.fromCharCode(0xc0 | cc>>6, 0x80 | cc&0x3f); }
                );
                strUtf = strUtf.replace(
                    /[\u0800-\uffff]/g,  // U+0800 - U+FFFF => 3 bytes 1110xxxx, 10yyyyyy, 10zzzzzz
                    function(c) {
                        var cc = c.charCodeAt(0);
                        return String.fromCharCode(0xe0 | cc>>12, 0x80 | cc>>6&0x3F, 0x80 | cc&0x3f); }
                );
                return strUtf;
            }






            // encuentra el 'valor' de en una tabla del key 'pid'. Ej. de Formato <table>....<tr><td>pid</td><td>valor</td></tr>... </table>
            function SearchHtmlID( htmltxt, $pid ){
                var htm = $.parseHTML( htmltxt );
                //var htm = $.parseHTML( polyDepartamentos[0][2].txt );

                //var t =

                var tr = $(htm).find("table tbody tr");
                for(var i=0; i< tr.length; i++){
                    var e = tr.get(i);
                    //if($(e).find("td").get(0).html()== "NOM_DEP") console.log("   Encontrado !!!");

                    //console.log( e.find("td").get(0).html()  );
                    if( $($(e).find("td").get(0)).text()==$pid ){
                        return  $($(e).find("td").get(1)).html();
                    }

                }

                return null;
            }



            // para los selectores busca de capas a la primera capa activa y lo pinta
            function BuscarPrimeraCapaActiva(){
                var IdCapaActiva=null;
                $.each(capas,function(key, capa){
                    if( capa.visible==true && IdCapaActiva==null) IdCapaActiva= capa.IdCapa;
                });

                if( IdCapaActiva!=null   ){

                    //setearlo como capaDeafuly
                    CapaDefault = IdCapaActiva;
                    var selActiva = $(".checkbox1[idcapa="+CapaDefault+"]").find(".NombreCheck");
                    $(sel).removeClass( "selected" );
                    $(selActiva).addClass("selected");
                    sel = selActiva;
                    root.find('.txtDefault').html( capas[CapaDefault].NombreCapa );
                    //console.log("capaActiva max:"+capas[CapaDefault].ValorMax+" min"+ capas[CapaDefault].ValorMin );

                }else{
                    $(sel).removeClass( "selected" );
                    sel=null;
                    root.find('.txtDefault').html('Dashboard');
                }


            }


            function eventoParaChecks(){

                root.find("input.mapCheck").each(function(){
                    var ele= this;
                    $(this).click(function(){


                        if( !!capas[ $(ele).parent().attr("idcapa")] == false  ){ // carga nueva capa

                            root.find("input.mapCheck").prop("disabled",true);

                            $.get('<?= \yii\helpers\Url::base(true)?>'+ "/index.php?r=dashboard/getcapa",{ id:$(ele).parent().attr("idcapa") },function(resp){
                                root.find("input.mapCheck").prop("disabled",false);
                                if(resp.IdCapa==0  ){ alert("error al cargar el mapa"); return false; }
                                if( !!GlobalMaps[resp.TipoMapa]==false ) alert(" El Mapa de la Capa: "+resp.NombreCapa +" No Existe ");

                                capas[resp.IdCapa] = {
                                    IdCapa:resp.IdCapa,
                                    TipoMapa:resp.TipoMapa,
                                    NombreCapa:resp.NombreCapa,
                                    YearMin:resp.YearMin,
                                    YearMax:resp.YearMax,
                                    ValorMin:Number(resp.ValorMin),
                                    ValorMax:Number(resp.ValorMax),
                                    Data:resp.Data,
                                    ArrayPolygons: createPolys( resp.TipoMapa ),
                                    visible:false,
                                    fillOpacity : 0.5,
                                    zIndex : ZIndex
                                };
                                ZIndex++;
                                if(slideOpacity != null) slideOpacity.slider('setValue',  100 - capas[resp.IdCapa].fillOpacity *100 );
                                zIndexPolygon(resp.IdCapa,capas[resp.IdCapa].zIndex );
                                swapZindexCapa(resp.IdCapa);
                                //RefreshMaxMinYear();



                                // colorea slider la opcion [inicio]
                                CapaDefault = resp.IdCapa;
                                var selActiva = $(".checkbox1[idcapa="+CapaDefault+"]").find(".NombreCheck");

                                if(sel!=null) $(sel).removeClass( "selected" );
                                $(selActiva).addClass("selected");
                                sel = selActiva;
                                root.find('.txtDefault').html( capas[CapaDefault].NombreCapa);
                                // colorea slider la opcion [fin]

                                ShowGroupPolys( resp.IdCapa );
                                RefreshLeyendaMaxMin( CapaDefault );






                            },"json");


                        }else{

                            if( $(ele).prop("checked") ){


                                if(slideOpacity != null) slideOpacity.slider('setValue',  100 - capas[ $(ele).parent().attr("idcapa") ].fillOpacity *100 );

                                // colorea slider la opcion [inicio]
                                CapaDefault = $(ele).parent().attr("idcapa");
                                var selActiva = $(".checkbox1[idcapa="+CapaDefault+"]").find(".NombreCheck");

                                if(sel!=null) $(sel).removeClass( "selected" );
                                $(selActiva).addClass("selected");
                                sel = selActiva;
                                // colorea slider la opcion [fin]
                                root.find('.txtDefault').html( capas[CapaDefault].NombreCapa );

                                ShowGroupPolys( $(ele).parent().attr("idcapa") );


                            }else{

                                ClearGroupPolys( $(ele).parent().attr("idcapa") );
                                RefreshMaxMinYear();
                                // buscar la primera capa activa y colocacomo  default  en CapaDefault
                                BuscarPrimeraCapaActiva();
                                swapZindexCapa( CapaDefault );

                                //ShowGroupPolys();
                                if( !!CapaDefault ){
                                    slideOpacity.slider('setValue',  100 - capas[CapaDefault].fillOpacity *100 );
                                }


                            }
                            swapZindexCapa(CapaDefault);
                            RefreshLeyendaMaxMin( CapaDefault );

                        }




                    });


                    $(this).parent().find(".NombreCheck").click(function(){

                        if( !!capas[$(this).parent().attr("idcapa")]==false )  return false;
                        if( $(this).parent().find(".mapCheck").prop("checked")== false ) return false;



                        if( !$(this).hasClass("selected") ) {
                            $(this).addClass("selected");
                            if( sel !=null )  $(sel).removeClass("selected");
                            sel = this;
                            CapaDefault = $(this).parent().attr("idcapa");
                            if(slideOpacity != null) slideOpacity.slider('setValue', 100 - capas[CapaDefault].fillOpacity *100 );
                            swapZindexCapa(CapaDefault);
                            RefreshLeyendaMaxMin( CapaDefault );
                            root.find('.txtDefault').html( capas[CapaDefault].NombreCapa );
                        }

                    });



                })
            }


            function setSlider(id){


                root.find("#myCarousel").carousel( 'pause' );

                //limpiando indicadors y construyendo indicadores
                root.find("#myCarousel .carousel-indicators").html('');
                var htm = '';
                for( var i=0; i<dataMarkers[id].imgs.length; i++ ){
                    if( i==0 )  htm = '<li data-target="#myCarousel" data-slide-to="0" class="active"></li>';
                    else{
                        htm = htm +'<li data-target="#myCarousel" data-slide-to="' +i+ '"></li>';
                    }
                }
                root.find("#myCarousel .carousel-indicators").html( htm );

                root.find("#myCarousel .carousel-inner").html('');
                htm = '';
                for( i=0; i<dataMarkers[id].imgs.length; i++ ){
                    var active="";
                    if( i==0 ) active="active";
                    htm = htm + '<div class="item '+active+'"><img src="'+ dataMarkers[id].imgs[i] +'" alt="Loading"> </div>';
                }
                root.find("#myCarousel .carousel-inner").html( htm );

                root.find("#myCarousel").carousel({ interval:5000 });

                root.find("#modalPhoto .modal-header h4.modal-title").html( dataMarkers[id].Nom );

            }


            this.openPhotos = function( id ){

                console.log( dataMarkers[id]  );
                setSlider( id );
                root.find('#modalPhoto').modal('show');

                //
                //console.log(  id + ": hoalalalalaldfsdfsafaf");

            };


            //:::::::::::::  funciones basicas  [fin]





            //////////////////////////////////////////////////////////////////// por borrar  [incio]


            // Crea Evento de InfoWindows para cada elemento del poligono
            var cargarDatosXXXXX = function( arrayPolygons, capa ){


                for(var i=0; i<arrayPolygons.length; i++ ){

                    //var poly = arrayPolygons[i];
                    arrayPolygons[i].polygon.id=arrayPolygons[i].id; //<<--- cargando datos
                    arrayPolygons[i].polygon.infoWindow = new google.maps.InfoWindow(); ///<<-- Info Windows
                    arrayPolygons[i].polygon.capa = !!capa?capa:0;

                    google.maps.event.addListener(arrayPolygons[i].polygon, 'click', function(event)
                    {
                        //console.log( this);

                        this.infoWindow.setContent( "id:" + this.id+"<br>"+"capa:"+this.capa +" index:"+this.zIndex);
                        this.infoWindow.setPosition( {lat:event.latLng.lat(), lng:event.latLng.lng()}); // new google.maps.LatLng( event.latLng.lat(), event.latLng.lng() );
                        this.infoWindow.open(map);


                    });
                }
            };

            //busca grupo de  poligonos de  geoXML3parse Ejmp: de  Departamentos, fuente de busqueda es la url
            // retorna un array con esta  estructura {id:?, polygon:??? },{...},...
            var searchPolyFromGeoXML3parseXXXXXX = function(search){
                var i,arrayPolygons,key=-1;

                for(i=0; i<geoXML3parse.docs.length; i++ ){

                    if( ( geoXML3parse.docs[i].url).search(search)!=-1 ){
                        encontrado=true;
                        arrayPolygons =  geoXML3parse.docs[i].gpolygons;
                        key=i;
                        break;

                    }
                }
                if(key == -1){
                    console.log("No se ha encontrado el " + search + " en geoXML3parse");
                    return null;
                }

                // Creando una nueva estructura {id:?, polygon:??? },{},...

                var arrayPolygons2=[];
                for(i=0; i < arrayPolygons.length; i++ ){
                    var poly={};
                    poly.polygon = new google.maps.Polygon(
                        {
                            paths: arrayPolygons[i].getPaths().getArray(),
                            strokeColor: '#FF0000',
                            strokeOpacity: 0.8,
                            strokeWeight: 2,
                            fillColor: '#FF0000',
                            fillOpacity: 0.35
                        }
                    );
                    poly.id = geoXML3parse.docs[key].placemarks[i].id;
                    poly.txt = geoXML3parse.docs[key].placemarks[i].description;

                   //poly.pid = SearchHtmlID(  geoXML3parse.docs[key].placemarks[i].description , "NOM_DEP"  );
                   // alert( SearchHtmlID(  geoXML3parse.docs[key].placemarks[i].description , "NOM_DEP"  ) );
                   //poly.pid = SearchHtmlID(  geoXML3parse.docs[key].placemarks[i].description , "FID"  );


                    arrayPolygons2.push(poly);
                }

                return arrayPolygons2;



            };


            //arrayPolygons debe tener la sig estructura :  [{id:?, polygon:??? },{},...]
            var DrawGroupPolysXXXX = function (arrayPolygons){
                for (var  i=0;i<arrayPolygons.length; i++) {
                    arrayPolygons[i].polygon.setOptions({
                       // fillColor: 'rgb('+Math.floor((Math.random() * 255) + 1)+','+Math.floor((Math.random() * 255) + 1)+','+Math.floor((Math.random() * 255) + 1)+')',
                        zIndex:ZIndex
                    });



                    //arrayPolygons[i].polygon.
                    arrayPolygons[i].polygon.setMap(map);
                }
                ZIndex++;
            };

            var swapGroupPolysXXXX = function ( arraypolygons1, arraypolygons2 ){
                //console.log(arraypolygons1);
                //console.log(arraypolygons2);
                var p1z = arraypolygons1[0].polygon.zIndex;
                var p2z = arraypolygons2[0].polygon.zIndex;

                for( var i=0; i<arraypolygons1.length; i++ ){
                    arraypolygons1[i].polygon.setOptions({ zIndex:p2z });
                    arraypolygons1[i].polygon.setMap(map);
                }

                for( i=0; i<arraypolygons2.length; i++ ){
                    arraypolygons2[i].polygon.setOptions({ zIndex:p1z });
                    arraypolygons2[i].polygon.setMap(map);
                }

                // seteando la default
                if( p1z > p2z ) polyDefault = arraypolygons2;
                else  polyDefault = arraypolygons1;

            };

            //Limpia los poligons de arrayPolygons;  debe tener la sig estructura :  [{id:?, polygon:??? },{},...]
            var ClearGroupPolysXX = function(arrayPolygons){
                for (var  i=0;i<arrayPolygons.length; i++) {
                    arrayPolygons[i].polygon.setMap(null);
                }
            };
            /*------------colores-------------------------*/





            var randColorPolygon = function(arrayPolygons){

                if( arrayPolygons!=null){

                    for( var i=0; i<arrayPolygons.length; i++ ){


                        ratio = Math.round( Math.random() * 100) / 100;

                        var color = pixColor( ratio );

                        arrayPolygons[i].polygon.setOptions( {
                            //fillOpacity:0.9,
                            fillColor: 'rgb('+color[0]+','+color[1]+','+color[2]+')'
                        } );
                        arrayPolygons[i].polygon.setMap(map);
                    }

                }
            };

            // Setea el valor de opacity  del poligono aun grupo de poligonos
            //arrayPolygons :  [{id:?, polygon:??? },{},...]
            var opacityPolygonXXX = function( arrayPolygons, valor ){
                if( arrayPolygons!=null){
                    for( var i=0; i<arrayPolygons.length; i++ ){

                        arrayPolygons[i].polygon.setOptions( {
                            fillOpacity:valor
                        } );
                        //arrayPolygons[i].polygon.setMap(map);
                    }
                }
            };






            function cargarPoligonosXXXX( pos ){

                for( var i=0; i<polyMultiple.length; i++){
                    if( pos == i ){
                        DrawGroupPolys( polyMultiple[i] );
                        polyDefault = polyMultiple[i];
                    }
                    else ClearGroupPolys( polyMultiple[i] );
                }

            }


            /*------- funciones publicas ------------------*/
            this.setColorPolygonXXXXXX = function( y ){
                year = y;
                slideOpacity.slider('setValue', polyDefault[0].polygon.fillOpacity * 100 );
                randColorPolygon( polyDefault );
            };

            this.setOpacityPolygonXXXXXX = function( v) {
                opacityPolygon( polyDefault, v/100);

            };

            //////////////////////////////////////////////////////////////////// por borrar  [fin]





            /*-----------Eventos----------------------*/





            var markerOn=false;
            var markerCluster;

            root.find('#opc5').click(function(){

                if( !markerOn ){
                    $.post('<?= Url::to(["dashboard/getmarkers"])?>',function(data){

                        if( data.length==0 ) return 0;

                            dataMarkers = data;
                        //for( var i=0; i< data.length; i++ ){}

                        $.each( data,function( key, e ) {
                              var i = key;
                            //console.log(data[i]);

                            var marker = new google.maps.Marker({
                                position:{lat:Number(data[i].L.lat), lng:Number(data[i].L.lng)  },
                                // map:map
                            });
                            var pic = data[i].img.length>0?'<img src="'+data[i].img+'" class="pic"  onclick="AbrirImagen(this)"   data-id="'+key+'" >':'<img src="<?=Url::base(true)."/images/icon3.png" ?>" class="pic">';
                            var link = data[i].xls.length>0?'<a href="'+data[i].xls+'" target=_blank>Ver m&aacute;s detalle</a>':'';

                            var htm = '<div class="markerInfo">';
                            htm += '<div class="titulo">'+data[i].Nom +'</div>';
                            htm += '<div class="cont" >'+ pic +  data[i].Desc+'</div><div class="link">'+link+'</div>';
                            marker.infowindow  =  new google.maps.InfoWindow({
                                //content: '<div style="text-align: justify;"><strong>'+data[i].Nom+'</strong><br>'+pic+'  <br>'+data[i].Desc+'<br>'+link+'</div>'
                                content: htm
                            });

                            marker.addListener('click', function(event){

                                this.infowindow.setPosition( {lat:event.latLng.lat(), lng:event.latLng.lng()});
                                this.infowindow.open(map,this);
                                //console.log(  this.infowindow );
                            } );

                            //google.maps.event.addListener(marker.infowindow, 'domready', infoWindowCustom );


                            //markers[key]=marker;
                            markers.push( marker );
                            // marker.setMap(map);
                        });


                        markerCluster = new MarkerClusterer(map, markers, {imagePath: 'images/markers/m', zoomOnClick:true});


                    },"json");
                    markerOn =true;
                }else{

                    markerCluster.addMarkers( markers );
                }

            });



            var opcVisible=true;
            root.find('.dashboard-opc-close').click(function(){
                //var w = root.find(".dashboard-opc").width();
                if( opcVisible ){

                    root.find(".dashboard-opc").animate({
                        left: "-248",
                    }, 400, function() {
                        // Animation complete.
                        opcVisible = false;

                        root.find('.dashboard-opc-close').removeClass("glyphicon-menu-left");
                        root.find('.dashboard-opc-close').addClass("glyphicon-menu-right");
                    });


                }else{

                    root.find(".dashboard-opc").animate({
                        left: "0",
                    }, 400, function() {
                        // Animation complete.
                        opcVisible = true;
                        root.find('.dashboard-opc-close').removeClass("glyphicon-menu-right");
                        root.find('.dashboard-opc-close').addClass("glyphicon-menu-left");
                    });

                }

            });


            // limpia todas las capas
            root.find("#limpiar").click( function(){

                if(!!CapaDefault){
                    root.find('.txtDefault').html('Dashboard').addClass("h3");
                    if( sel !=null )  $(sel).removeClass("selected");
                    sel = this;
                }

                ClearAllCapas();

                //clear markers
                if(!!markerCluster  )
                     markerCluster.clearMarkers();


                //for( var i=0; i<markers.length; i++){}


            });




            ///________  configuracion de sliders
            slideOpacity = root.find('#slideOpacity').slider({});
            sliderYear =  root.find('#slideYear').slider({});


            slideOpacity.on('slide',function(){
                opacityPolygon( CapaDefault, ( 100 - slideOpacity.slider('getValue') )/100   );
            });

            sliderYear.on('slideStop',function(){
                //this.setColorPolygon($(this).val());
                //console.log( $(this).val() );
                setConfigPolygon(CapaDefault,$(this).val() )

            });



            initMap();
            eventoParaChecks();
            $(".wrap > .container").css({width:'100%',position: 'absolute',top: '46px',bottom: '0'});
            //return this;
            return this;


        };
    })(jQuery);
</script>
