<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Empresa */
/* @var $form yii\widgets\ActiveForm */

?>

<div class="empresa-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'IdRepresentanteLegal')->widget( \kartik\select2\Select2::className(),[
            'data' => $comboPersonas,
            //'hideSearch' => true,
            'options' => [
                    'placeholder' => 'Seleccione Representante'
            ],
            'pluginOptions' => [
                    'allowClear' => true
            ]

    ] )->label('Representante Legal')?>

    <?= $form->field($model, 'RazonSocial')->textInput(['maxlength' => true]) ?>
    <div class="row">
        <div class="col-md-6"><?= $form->field($model, 'ActividadEconomica')->textInput(['maxlength' => true]) ?></div>
        <div class="col-md-6"><?= $form->field($model, 'Direccion')->textInput(['maxlength' => true]) ?></div>
    </div>

    <?= $form->field($model, 'Telefonos')->textarea(['rows' => 4]) ?>

    <div class="row">
        <div class="col-md-6"><?= $form->field($model, 'Emails')->textInput(['maxlength' => true]) ?></div>
        <div class="col-md-6"><?= $form->field($model, 'PaginaWeb')->textInput(['maxlength' => true]) ?></div>
    </div>


    <?= $form->field($model, 'Nota')->textarea(['rows' => 6]) ?>

    <?php if( !$model->isNewRecord ){ ?>
            <?= $form->field($model, 'Activo')->checkbox() ?>
    <?php } ?>
    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
