<?php

/**

 * Created by PhpStorm.

 * User: hquispe

 * Date: 8/5/2016

 * Time: 5:33 PM

 */

/* @var $model app\models\Proyecto */





    $zoom = 5;

    if( empty($model->Latitud) || empty($model->Longitud) ){

        $center ="{lat: -16.5207124, lng: -68.0915129};";

        $setMarker=false;

    }else{

        $center ="{lat:".$model->Latitud.", lng:".$model->Longitud."};";

        if( !empty($model->MapZoom) ){

            $zoom = $model->MapZoom;

        }



        $setMarker=true;

    }







?>

<script>

    (function($){

        $.fn.MarkerMap = function(options){

            var root = this;

            var map = null;

            //var center = {lat: -16.5207124, lng: -68.0915129};

            var center = <?=$center?>

            var marker = null;



            var settings = $.extend({

               edit:false

            }, options);



            var initMap = function(){

                map = new google.maps.Map( root.find("#mapW").get(0), {

                    zoom: <?=$zoom?>,

                    center: center,

                    mapTypeControlOptions: {

                        style: google.maps.MapTypeControlStyle.VERTICAL_BAR,

                        position: google.maps.ControlPosition.TOP_RIGHT

                    },

                });

                marker = new google.maps.Marker({

                    map:map,

                    <?php if( $setMarker ){?>position:center,<?php }?>

                    draggable:true,

                    animation: google.maps.Animation.DROP,

                });

                marker.infowindow = new google.maps.InfoWindow({

                    content: '?'

                });





                <?php if(!$setMarker){?> <?php }?>

                google.maps.event.addListener(map, 'click', function(event) {

                    setInput( event.latLng.lat(),event.latLng.lng(), map.getZoom()  );

                    marker.setPosition({  lat:event.latLng.lat(), lng:event.latLng.lng()  });

                   // google.maps.event.clearListeners(map, 'click');

                });





                google.maps.event.addListener(map, 'zoom_changed', function(event) {



                    root.find("input[name='Proyecto[MapZoom]']").val(  map.getZoom() );



                });

                google.maps.event.addListener(marker, 'click', function(event) {



                    //this.infowindow.setPosition( marker.getPosition() );

                    //this.infowindow.open(map,this);



                });





                google.maps.event.addListener(marker, 'mouseup', function(event) {



                    //

                    //console.log( event.latLng );



                    var latLng = marker.getPosition();



                    //console.log( latLng.lat()+","+latLng.lng()  );

                    //console.log( map.getZoom() );

                    setInput( latLng.lat(),latLng.lng(), map.getZoom()  );





                    //root.find("#mensaje").html( "lat:"+event.latLng.lat() +"<br>"+ "lng:"+event.latLng.lng() +"<br>"+"z :"+ map.getZoom() );



                });









            };

            var initMapView = function(){

                map = new google.maps.Map( root.find("#mapW").get(0), {

                    zoom: <?=$zoom?>,

                    center: center,

                    mapTypeControlOptions: {

                        style: google.maps.MapTypeControlStyle.VERTICAL_BAR,

                        position: google.maps.ControlPosition.TOP_RIGHT

                    },

                });

                marker = new google.maps.Marker({

                    map:map,

                    <?php if( $setMarker ){?>position:center,<?php }?>



                    animation: google.maps.Animation.DROP,

                });

            };



            var setInput = function( lat, lng, zoom){

                root.find("input[name='Proyecto[MapZoom]']").val(  zoom);

                root.find("input[name='Proyecto[Latitud]']").val(lat );

                root.find("input[name='Proyecto[Longitud]']").val(lng   );

            };





            if(settings.edit==true){

                initMap();

            }else{

                initMapView();

            }





        }

    })(jQuery);

</script>