<?php

/* @var $this yii\web\View */

use app\commands\Roles;
use yii\helpers\Html;

$this->title = 'FIBRA-FIC Tool';
?>
<div class="site-index">

    <div class="jumbotron  alert-success">
        <h2>Herramienta de inteligencia de mercado y modelo de toma de decisiones FIBRA - FIC</h2>

        <?php
        if(Yii::$app->user->isGuest) {
            ?>
            <p class="lead">Por favor Ingrese al sistema</p>

            <p>
                <?= Html::a('Login >>', ['/site/login'], ['class'=>'btn btn-success']) ?>
            <?php
        }
        ?>
    </div>

    <?php
    if(!Yii::$app->user->isGuest) {
    ?>

    <div class="body-content">

        <div class="row">

            <div class="col-lg-4">
                <h2>Dashboard</h2>

                <p>Permite visualizar toda la información registrada en el sistema.</p>
                <?= Html::a('Dashboard &raquo;', ['/dashboard/index'], ['class' => 'btn btn-success btn-lg']) ?>

            </div>

            <?php if(Yii::$app->user->identity->Rol==Roles::Registrador || Yii::$app->user->identity->Rol==Roles::Administrador){?>
            <div class="col-lg-4">
                <h2>Proyectos</h2>

                <p>Permite administrar los Proyectos del sistema.</p>
                <?= Html::a('Proyectos &raquo;', ['/proyecto/index'], ['class' => 'btn btn-info btn-lg']) ?>
            </div>
            <?php }?>
            <?php if(Yii::$app->user->identity->Rol==Roles::Administrador){?>
            <div class="col-lg-4">
                <h2>Importación</h2>
                <p>Importación de todos los datos necesarios para generar los gráficos en el Dashboard</p>
                <?= Html::a('Importar &raquo;', ['/importacion/index'], ['class' => 'btn btn-warning btn-lg']) ?>
            </div>
            <?php }?>
        </div>

    </div>
        <?php
    }
    ?>
</div>
